<?php	
	require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'apps'.DIRECTORY_SEPARATOR.SF_APP.DIRECTORY_SEPARATOR.'lib'.DIRECTORY_SEPARATOR.'myPHPfunciones.class.php');
	
	class MYPDF_LISTADO_CONCURSOS extends sfTCPDF {
			public function ColoredTable($titulo,$header,$w,$data) {
				
				//Setear Parametros
				$this->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
				$this->setHeaderFont(array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
				$this->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH,''/* PDF_HEADER_TITLE*/,$titulo /* PDF_HEADER_STRING*/);
				$this->setFooterFont(array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
				$this->SetHeaderMargin(PDF_MARGIN_HEADER);
				$this->SetFooterMargin(PDF_MARGIN_FOOTER);
				
				//$this->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM); 
				// init pdf doc
				$this->AliasNbPages();
				
				
				$this->startPageGroup();
				$this->AddPage('l');
				
				//Colors, line width and bold font
				$this->SetFillColor(255,255,255);
				$this->SetTextColor(0);
				
				$this->SetFont('freeserif','I','8');//Arial italic 8
				$fecha=$this->unhtmlentities(htmlentities( poner_fecha_castellano(false,false) ));				
				$this->Cell(0,7,$fecha,0,0,'R',1);
				$this->Ln();
				$this->SetFont('vera','B','12');
				$this->Cell(0,7,$titulo,0,1,'C',1);
				$this->Ln();
				
				$this->setrowheader($w, $header);
				
				//Data
				$total_cargo =0;
				$fill=0;
				$primero=0;
				$j=2;
				foreach($data as $row) { //Repeat de first Row of $data
					
					/*if ($primero == 0){
						$grupo = $row[0];
						$cargo = $row[1];
						$this->setUnidadAcademica($row[0]);
						$this->setrowheader($w, $header);
						$primero=$primero+1;
					}
					
					
					
					if (($grupo != $row[0]) or ($cargo!=$row[1])) {
						$this->setTotal_x_Cargo($cargo, $total_cargo);
						$total_cargo = 0;
					}
										
					$j=$j+1;
					
					if (( ($j == 20) && ($this->PageNo()== 0) ) or (($j == 24) && ($this->PageNo()> 0)) or (($grupo != $row[0]))){
						$j=0;	
						
						if ($grupo != $row[0])
							$this->startPageGroup();
							
						$this->AddPage('l');
						
						if ($grupo != $row[0])
							$this->setUnidadAcademica($row[0]);
						$this->setrowheader($w, $header);
					}
					$grupo = $row[0];
					$cargo = $row[1];
					$total_cargo = $total_cargo+1;
					*/
					//imprime registro
					$this->Cell(16,5,$row[0],'LRTB',0,'L',$fill,'',0);//CONVOCATORIA
					$this->Cell(16,5,$row[1],'LRTB',0,'L',$fill,'',0);//EXPEDIENTE
					$this->Cell(12,5,$row[2],'LRTB',0,'L',$fill,'',0);//FACULTAD
					$this->Cell(30,5,$row[3],'LRTB',0,'L',$fill,'',1);//SEDE
					$this->Cell(60,5,substr($row[4],0, 33),'LRTB',0,'L',$fill,'',0);//materia
					$this->Cell(60,5,substr($row[5],0, 33),'LRTB',0,'L',$fill,'',0);//carrera
					$this->Cell(8,5,$row[6],'LRTB',0,'L',$fill,'',0);//carg conv
					$this->Cell(20,5,$row[7],'LRTB',0,'L',$fill,'',0);//result
					$this->Cell(8,5,$row[8] == 1?'Si':'No','LRTB',0,'L',$fill,'',0);//aprob
					$this->Cell(25,5,$row[9],'LRTB',0,'L',$fill,'',0);//estado
/*					if ($row[7] == 0)
						$valor='';
					else $valor='Si';
					$this->Cell($w[5],5,$valor,'LRTB',0,'C',$fill,'',1);
					if ($row[8] == 0)
						$valor='';
					else $valor='Si';
					$this->Cell($w[6],5,$valor,'LRTB',0,'C',$fill,'',1);*/
					$this->Ln();
					$fill=!$fill;
				}
				//$this->setTotal_x_Cargo($cargo, $total_cargo);
				
			$this->Cell(array_sum($w),0,'','T');
		
			$preferences = array(
				"HideToolbar" => false,
				"HideMenubar" => true,
				"HideWindowUI" => true,
				"FitWindow" => true,
				"CenterWindow" => true,
				"DisplayDocTitle" => true,
				"NonFullScreenPageMode" => "UseNone", // UseNone, UseOutlines, UseThumbs, UseOC
				"ViewArea" => "CropBox", // CropBox, BleedBox, TrimBox, ArtBox
				"ViewClip" => "CropBox", // CropBox, BleedBox, TrimBox, ArtBox
				"PrintArea" => "CropBox", // CropBox, BleedBox, TrimBox, ArtBox
				"PrintClip" => "CropBox", // CropBox, BleedBox, TrimBox, ArtBox
				"PrintScaling" => "AppDefault", // None, AppDefault
				"Duplex" => "DuplexFlipLongEdge", // Simplex, DuplexFlipShortEdge, DuplexFlipLongEdge
				"PickTrayByPDFSize" => true,
				"PrintPageRange" => array(1,1,2,3),
				"NumCopies" => 2
			);

			// set pdf viewer preferences
			$this->setViewerPreferences($preferences); 
	
			}
				
			public function setTotal_x_Cargo($cargo, $total_cargo){
				$this->SetFont('freeserif','BI','10');
				$this->Cell(0,6,'Total '.$cargo.': '.$total_cargo ,'LRTB',0,'L',0,'',1);
				$this->Ln();
				$this->restoreDecoration();
				$total_cargo = 0;
			}
			
			public function setUnidadAcademica($unidad){//Titulo Unidad Acadademica.
				$this->SetFont('vera','B','10');
				$this->SetFillColor(224,235,255);
				$this->Cell(40,8,"Unidad Academica: ",1,0,'L',1,'',1);
				$this->Cell(0,8,$unidad,1,1,'L');
				$this->restoreDecoration();
			}
			
			public function setDecoration(){//Color and font to header
						$this->SetFillColor(25,0,155);
						$this->SetTextColor(255);
						$this->SetDrawColor(0,0,0);
						$this->SetLineWidth(.3);
						$this->SetFont('vera','B','8');		
			}
			
			public function restoreDecoration(){//Color and font restoration
						$this->SetFillColor(224,235,255);
						$this->SetTextColor(0);
						$this->SetFont('vera','N','8');
			}
			public function setrowheader($w, $header){// Pone encabezado por cada pagina
						$this->setDecoration();	
						for($i=0;$i<count($header);$i++)
							$this->Cell($w[$i],6,$header[$i],1,0,'C',1);
						$this->Ln();
						$this->restoreDecoration();		
			}
			
			public function Footer() {
				$this->SetY(-10);				//Position at 1.5 cm from bottom
				$this->SetFont('freeserif','I',8);//Arial italic 8
				$this->Cell(130,6,$this->unhtmlentities(htmlentities(' Dpto Desarrollo de Sistemas - Direcc. de Informtica Universitaria. - sistemas@uader.edu.ar')),'T',0,'L');
				//$this->SetY(-10);				//Position at 1.5 cm from bottom.'/{nb}'
				$this->Cell(0,6,$this->unhtmlentities(htmlentities('Fecha Impresin: '.date("d/m/Y").'   -   Pgina ')).$this->PageNo().'/{nb}','T',0,'R');
			} 
	}