<?php

/**
 * aspirante actions.
 *
 * @package    sf_sandbox
 * @subpackage aspirante
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 2288 2006-10-02 15:22:13Z fabien $
 */
class aspiranteActions extends autoaspiranteActions
{
  
  public function executeEdit()
  {
    if ($this->getRequestParameter('list'))
      return $this->redirect('concargo/create');
      
    $this->aspirante = $this->getAspiranteOrCreate();
    if ($this->getRequest()->getMethod() == sfRequest::POST)
    {
      $this->updateAspiranteFromRequest();

      $this->saveAspirante($this->aspirante);

      $this->setFlash('notice', 'Your modifications have been saved');
      
      if($this->getRequestParameter('save_and_list')){
        return $this->redirect('aspirante/list');
      }else{
        return $this->redirect('aspirante/edit?id='.$this->aspirante->getId());
      }
    }
    else
    {
      $this->labels = $this->getLabels();
    }
  }
  
  protected function addFiltersCriteria($c)
  {
    if (isset($this->filters['apellido_is_empty']))
    {
      $criterion = $c->getNewCriterion(AspirantePeer::APELLIDO, '');
      $criterion->addOr($c->getNewCriterion(AspirantePeer::APELLIDO, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['apellido']) && $this->filters['apellido'] !== '')
    {
      $c->add(AspirantePeer::APELLIDO, '%'.$this->filters['apellido'].'%', Criteria::LIKE);
    }
    if (isset($this->filters['dni_is_empty']))
    {
      $criterion = $c->getNewCriterion(AspirantePeer::DNI, '');
      $criterion->addOr($c->getNewCriterion(AspirantePeer::DNI, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['dni']) && $this->filters['dni'] !== '')
    {
      $c->add(AspirantePeer::DNI, strtr($this->filters['dni'], '*', '%'), Criteria::LIKE);
    }
  }

}
