<?php

/**
 * concar actions.
 *
 * @package    Concursos Ordinarios
 * @subpackage concar
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 2288 2006-10-02 15:22:13Z fabien $
 */
class concarActions extends autoconcarActions
{
  public function executeList()
  {
    if($this->getRequestParameter('concurso_id'))
      $this->getUser()->setAttribute('concurso_id', $this->getRequestParameter('concurso_id')); 
    
    $concurso = ConcursoPeer::retrieveByPk($this->getUser()->getAttribute('concurso_id'));  
	
    $this->processSort();
    $this->processFilters();

    // pager
    $this->pager = new sfPropelPager('ConcursoCarrera', 20);	
    $this->pager->nomconcurso = $concurso->__toString();
	
    $c = new Criteria();
    $c->add(ConcursoCarreraPeer::CON_CONCURSOS_ID, $this->getUser()->getAttribute('concurso_id') );
    $this->addSortCriteria($c);
    $this->addFiltersCriteria($c);
    $this->pager->setCriteria($c);
    $this->pager->setPage($this->getRequestParameter('page', $this->getUser()->getAttribute('page', 1, 'sf_admin/concurso_carrera')));
    $this->pager->init();
    // save page
    if ($this->getRequestParameter('page')) {
        $this->getUser()->setAttribute('page', $this->getRequestParameter('page'), 'sf_admin/concurso_carrera');
    }
  }
  
  public function executeDelete()
  {
    $this->concurso_carrera = ConcursoCarreraPeer::retrieveByPk($this->getRequestParameter('id'));
    $id_concurso_volver = $this->concurso_carrera->getConConcursosId();
    $this->forward404Unless($this->concurso_carrera);

    try
    {
      $this->deleteConcursoCarrera($this->concurso_carrera);
    }
    catch (PropelException $e)
    {
      $this->getRequest()->setError('delete', 'Could not delete the selected Concurso carrera. Make sure it does not have any associated items.');
      return $this->redirect('concurso/edit?id='.$id_concurso_volver);
    }

    $this->setFlash('notice', 'Your modifications have been saved');
    return $this->redirect('concurso/edit?id='.$id_concurso_volver);
  }
  
  public function executeEdit()
  {
    $this->concurso_carrera = $this->getConcursoCarreraOrCreate();


    if ($this->getRequest()->getMethod() == sfRequest::POST)
    {
      $aux = $this->getRequestParameter("concurso_carrera");
      if(is_array($aux['con_carreras_id'])){
        foreach($aux['con_carreras_id'] as $k => $v){
          if($v != ''){
            $concar = new ConcursoCarrera();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
            $concar->setConConcursosId($aux['con_concursos_id']);
            $concar->setConCarrerasId($v);
            $concar->setConMateriasId($aux['con_materias_id']);
            $this->concurso_carrera = $concar;
            $this->saveConcursoCarrera($this->concurso_carrera);
          }
        }
      }else{
        $this->updateConcursoCarreraFromRequest();
        $this->saveConcursoCarrera($this->concurso_carrera);
      }
      
      $this->setFlash('notice', 'Your modifications have been saved');

      if ($this->getRequestParameter('save_and_add'))
      {
          return $this->redirect('concar/create?concurso_id='.$this->concurso_carrera->getConConcursosId());
      }
      else if ($this->getRequestParameter('save'))
      {
        return $this->redirect('concurso/edit?id='.$this->concurso_carrera->getConConcursosId());
      }
      else
      {
        return $this->redirect('concar/edit?id='.$this->concurso_carrera->getId());
      }
    }
    else
    {
      $this->labels = $this->getLabels();
      if($this->getRequestParameter('concurso_id'))
        $this->concurso_carrera->setConConcursosId($this->getRequestParameter('concurso_id'));
      else
        $this->concurso_carrera->setConConcursosId($this->getUser()->getAttribute('concurso_id'));
    }
  }
}
