<?php echo stylesheet_tag('chosen') ?>
<?php echo javascript_include_tag("jquery164.min.js") ?>
<?php echo javascript_include_tag('chosen.jquery.js') ?>
<script type="text/javascript"> 
  jQuery(document).ready(function(){
    $(".chzn-select").chosen(); 
    $(".chzn-select-deselect").chosen({allow_single_deselect:true});
    }
  );
</script>

<?php echo form_tag('concargo/save', array(
  'id'        => 'sf_admin_edit_form',
  'name'      => 'sf_admin_edit_form',
  'multipart' => true,
)) ?>

<?php echo object_input_hidden_tag($concurso_cargo, 'getId') ?>
<?php echo input_hidden_tag('concurso_cargo[con_concursos_id]', $concurso_cargo->getConConcursosId()) ?>

<fieldset id="sf_fieldset_none" class="">

<div class="form-row">
  <?php echo label_for('concurso_cargo[con_concursos_id]', __($labels['concurso_cargo{con_concursos_id}']), '') ?>
  <div class="content<?php if ($sf_request->hasError('concurso_cargo{con_concursos_id}')): ?> form-error<?php endif; ?>">
  <?php if ($sf_request->hasError('concurso_cargo{con_concursos_id}')): ?>
    <?php echo form_error('concurso_cargo{con_concursos_id}', array('class' => 'form-error-msg')) ?>
  <?php endif; ?>

  <?php 
  /*$value = object_select_tag($concurso_cargo, 'getConConcursosId', array (
  'related_class' => 'Concurso',
  'control_name' => 'concurso_cargo[con_concursos_id]',
  'include_blank' => true,)); 
  echo $value ? $value : '&nbsp;'*/
  echo $concurso_cargo->getConcurso()->getFacultad().' - '.$concurso_cargo->getConcurso()->getNroExpFac();
  ?>
    </div>
</div>

<div class="form-row">
  <?php echo label_for('concurso_cargo[con_aspirantes_id]', __($labels['concurso_cargo{con_aspirantes_id}']), '') ?>
  <div class="content<?php if ($sf_request->hasError('concurso_cargo{con_aspirantes_id}')): ?> form-error<?php endif; ?>">
  <?php if ($sf_request->hasError('concurso_cargo{con_aspirantes_id}')): ?>
    <?php echo form_error('concurso_cargo{con_aspirantes_id}', array('class' => 'form-error-msg')) ?>
  <?php endif; ?>

  <?php $value = object_select_tag($concurso_cargo, 'getConAspirantesId', array (
  'related_class' => 'Aspirante',
  'peer_method' => 'getLordenada',
  'control_name' => 'concurso_cargo[con_aspirantes_id]',
  'class' => 'chzn-select', 
  'data-placeholder' => 'Seleccione una persona',
  'include_blank' => true,));
  echo $value? $value .'&nbsp;&nbsp;' : '&nbsp;';
  echo link_to(__('Nuevo'), 'concargasp/create?');
  ?>
  </div>
</div>

<div class="form-row">
  <?php echo label_for('concurso_cargo[con_cargos_id]', __($labels['concurso_cargo{con_cargos_id}']), '') ?>
  <div class="content<?php if ($sf_request->hasError('concurso_cargo{con_cargos_id}')): ?> form-error<?php endif; ?>">
  <?php if ($sf_request->hasError('concurso_cargo{con_cargos_id}')): ?>
    <?php echo form_error('concurso_cargo{con_cargos_id}', array('class' => 'form-error-msg')) ?>
  <?php endif; ?>

  <?php $value = object_select_tag($concurso_cargo, 'getConCargosId', array (
  'related_class' => 'Cargo',
  'control_name' => 'concurso_cargo[con_cargos_id]',
  'include_blank' => true,
)); echo $value ? $value : '&nbsp;' ?>
    </div>
</div>

<div class="form-row">
  <?php echo label_for('concurso_cargo[con_dedicaciones_id]', __($labels['concurso_cargo{con_dedicaciones_id}']), '') ?>
  <div class="content<?php if ($sf_request->hasError('concurso_cargo{con_dedicaciones_id}')): ?> form-error<?php endif; ?>">
  <?php if ($sf_request->hasError('concurso_cargo{con_dedicaciones_id}')): ?>
    <?php echo form_error('concurso_cargo{con_dedicaciones_id}', array('class' => 'form-error-msg')) ?>
  <?php endif; ?>

  <?php $value = object_select_tag($concurso_cargo, 'getConDedicacionesId', array (
  'related_class' => 'Dedicacion',
  'control_name' => 'concurso_cargo[con_dedicaciones_id]',
  'include_blank' => true,
)); echo $value ? $value : '&nbsp;' ?>
    </div>
</div>

<div class="form-row">
  <?php echo label_for('concurso_cargo[res_designa]', __($labels['concurso_cargo{res_designa}']), '') ?>
  <div class="content<?php if ($sf_request->hasError('concurso_cargo{res_designa}')): ?> form-error<?php endif; ?>">
  <?php if ($sf_request->hasError('concurso_cargo{res_designa}')): ?>
    <?php echo form_error('concurso_cargo{res_designa}', array('class' => 'form-error-msg')) ?>
  <?php endif; ?>

  <?php $value = object_input_tag($concurso_cargo, 'getResDesigna', array (
  'size' => 20,
  'control_name' => 'concurso_cargo[res_designa]',
)); echo $value ? $value : '&nbsp;' ?>
    </div>
</div>

<div class="form-row">
  <?php echo label_for('concurso_cargo[fec_res_designa]', __($labels['concurso_cargo{fec_res_designa}']), '') ?>
  <div class="content<?php if ($sf_request->hasError('concurso_cargo{fec_res_designa}')): ?> form-error<?php endif; ?>">
  <?php if ($sf_request->hasError('concurso_cargo{fec_res_designa}')): ?>
    <?php echo form_error('concurso_cargo{fec_res_designa}', array('class' => 'form-error-msg')) ?>
  <?php endif; ?>

  <?php $value = object_input_date_tag($concurso_cargo, 'getFecResDesigna', array (
  'rich' => true,
  'calendar_button_img' => '/sf/sf_admin/images/date.png',
  'control_name' => 'concurso_cargo[fec_res_designa]',
)); echo $value ? $value : '&nbsp;' ?>
    </div>
</div>

</fieldset>

<?php include_partial('edit_actions', array('concurso_cargo' => $concurso_cargo)) ?>

</form>

<ul class="sf_admin_actions">
      <li class="float-left"><?php if ($concurso_cargo->getId()): ?>
<?php echo button_to(__('delete'), 'concargo/delete?id='.$concurso_cargo->getId(), array (
  'post' => true,
  'confirm' => __('Are you sure?'),
  'class' => 'sf_admin_action_delete',
)) ?><?php endif; ?>
</li>
  </ul>
