<?php

/**
 * lisdoccargo actions.
 *
 * @package    Concursos Ordinarios
 * @subpackage lisdoccargo
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 2288 2006-10-02 15:22:13Z fabien $
 */
class lisdoccargoActions extends autolisdoccargoActions
{

  protected function addFiltersCriteria($c)
  {
    if (isset($this->filters['con_facultades_id_is_empty'])){
      $criterion = $c->getNewCriterion(ConcursoPeer::CON_FACULTADES_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoPeer::CON_FACULTADES_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }else if (isset($this->filters['con_facultades_id']) && $this->filters['con_facultades_id'] !== ''){
      $c->add(ConcursoPeer::CON_FACULTADES_ID, $this->filters['con_facultades_id']);
    }
    if (isset($this->filters['con_carreras_id_is_empty'])){
      $criterion = $c->getNewCriterion(ConcursoCarreraPeer::CON_CARRERAS_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoCarreraPeer::CON_CARRERAS_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['con_carreras_id']) && $this->filters['con_carreras_id'] !== ''){
      $c->add(ConcursoCarreraPeer::CON_CARRERAS_ID, $this->filters['con_carreras_id']);
    }  
    if (isset($this->filters['con_materias_id_is_empty'])){
      $criterion = $c->getNewCriterion(ConcursoCarreraPeer::CON_MATERIAS_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoCarreraPeer::CON_MATERIAS_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['con_materias_id']) && $this->filters['con_materias_id'] !== ''){
      $c->add(ConcursoCarreraPeer::CON_MATERIAS_ID, $this->filters['con_materias_id']);
    }  
    if (isset($this->filters['con_sedes_id_is_empty'])){
      $criterion = $c->getNewCriterion(ConcursoPeer::CON_SEDES_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoPeer::CON_SEDES_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['con_sedes_id']) && $this->filters['con_sedes_id'] !== ''){
      $c->add(ConcursoPeer::CON_SEDES_ID, $this->filters['con_sedes_id']);
    }
    if (isset($this->filters['con_cargos_id_is_empty'])){
      $criterion = $c->getNewCriterion(ConcursoCargoPeer::CON_CARGOS_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoCargoPeer::CON_CARGOS_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['con_cargos_id']) && $this->filters['con_cargos_id'] !== ''){
      $c->add(ConcursoCargoPeer::CON_CARGOS_ID, $this->filters['con_cargos_id']);
    }
    if (isset($this->filters['con_dedicaciones_id_is_empty'])){
      $criterion = $c->getNewCriterion(ConcursoCargoPeer::CON_DEDICACIONES_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoCargoPeer::CON_DEDICACIONES_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['con_dedicaciones_id']) && $this->filters['con_dedicaciones_id'] !== ''){
      $c->add(ConcursoCargoPeer::CON_DEDICACIONES_ID, $this->filters['con_dedicaciones_id']);
    }
    if (isset($this->filters['con_resolucion_id']) && $this->filters['con_resolucion_id'] != '' && $this->filters['con_resolucion_id'] != 0) 
        $c->add(ConcursoPeer::CON_RESOLUCION_ID, $this->filters['con_resolucion_id']);
  }
  
  public function executeImprimir_pdf(){
    $this->processFilters();
    $this->filters = $this->getUser()->getAttributeHolder()->getAll('sf_admin/concurso/filters');
    $c = new Criteria();
    $this->addFiltersCriteria($c);
    $rs = ConcursoPeer::getDocsOrdinarioCargo($c);
    
    $titulo="Listado de Cargos Concursados";
    $header=array('Fac.','Sede','Apellido','Nombre', 'Cargo', 'Dedic.', 'Res.', 'Conv.', 'Carrera', 'Materia');
    $w=array(10,25,30,40,18,15,15,14,55,50);
    
    $pdf = new MYPDF_CARGOS_CONCURSADOS();
    $pdf->setPageOrientation('L');
    $pdf->ColoredTable($titulo,$header,$w, $rs);//titulo, encabezado, anchos de columna, matriz datos 
    $pdf->Output();

    return sfView::NONE;
  }  
}
