<?php

/**
 * lisdocord actions.
 *
 * @package    Concursos Ordinarios
 * @subpackage lisdocord
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 2288 2006-10-02 15:22:13Z fabien $
 */
class lisdocordActions extends autolisdocordActions
{

  protected function addFiltersCriteria($c)
  {
    if (isset($this->filters['con_facultades_id_is_empty']))
    {
      $criterion = $c->getNewCriterion(ConcursoPeer::CON_FACULTADES_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoPeer::CON_FACULTADES_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['con_facultades_id']) && $this->filters['con_facultades_id'] !== '')
    {
      $c->add(ConcursoPeer::CON_FACULTADES_ID, $this->filters['con_facultades_id']);
    }
    if (isset($this->filters['con_sedes_id_is_empty']))
    {
      $criterion = $c->getNewCriterion(ConcursoPeer::CON_SEDES_ID, '');
      $criterion->addOr($c->getNewCriterion(ConcursoPeer::CON_SEDES_ID, null, Criteria::ISNULL));
      $c->add($criterion);
    }
    else if (isset($this->filters['con_sedes_id']) && $this->filters['con_sedes_id'] !== '')
    {
      $c->add(ConcursoPeer::CON_SEDES_ID, $this->filters['con_sedes_id']);
    }
  }
  
  public function executeImprimir_pdf(){
    $this->processFilters();
    $this->filters = $this->getUser()->getAttributeHolder()->getAll('sf_admin/concurso/filters');
    $c = new Criteria();
    $this->addFiltersCriteria($c);
    $rs = ConcursoPeer::getDocsOrdinarios($c);
    
    $titulo="Listado de Profesores Ordinarios Designados";
    $header=array('Facultad','Sede','Apellido','Nombre', 'Titulo'); //'Fac.',
    $w=array(30,60,60,60, 60);
    
    $pdf = new MYPDF_DOCENTES_ORDINARIOS();
    $pdf->setPageOrientation('P');
    $pdf->ColoredTable($titulo,$header,$w, $rs);//titulo, encabezado, anchos de columna, matriz datos 
    $pdf->Output();

    return sfView::NONE;
  }
  
}
