<?php

/**
 * Subclass for performing query and update operations on the 'con_aspirantes' table.
 *
 * 
 *
 * @package lib.model
 */ 
class AspirantePeer extends BaseAspirantePeer
{

  public static function getLordenada($criteria = NULL) {

        if((!($criteria instanceof Criteria)) OR is_null($criteria))
            $criteria = new Criteria();

        $criteria->addAscendingOrderByColumn(AspirantePeer::APELLIDO);
        $aspirantes = AspirantePeer::doSelect($criteria);

        return $aspirantes;
    }
}
