<?php

/**
 * Subclass for performing query and update operations on the 'con_localidades' table.
 *
 * 
 *
 * @package lib.model
 */ 
class LocalidadPeer extends BaseLocalidadPeer
{

    public static function getLordenada($criteria = NULL) {

        if((!($criteria instanceof Criteria)) OR is_null($criteria)) {
            $criteria = new Criteria(); 
        }

        //$criteria->add(ProvinciaPeer::ESTA_BORRADO, false);    Pensado para borrado logico
        //$criteria->addAscendingOrderByColumn(LocalidadPeer::ORDEN);           
        //$criteria->addAscendingOrderByColumn(LocalidadPeer::NOMBRE_LARGO);
        
        $criteria->addAscendingOrderByColumn(LocalidadPeer::NOMBRE);
        $localidades = LocalidadPeer::doSelect($criteria);

        return $localidades;
    }


}
