<?php



class CarreraMateriaMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CarreraMateriaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('carrera_materia');
		$tMap->setPhpName('CarreraMateria');

		$tMap->setUseIdGenerator(true);

		$tMap->addForeignKey('CON_MATERIAS_ID', 'ConMateriasId', 'int', CreoleTypes::INTEGER, 'con_materias', 'ID', false, null);

		$tMap->addForeignKey('CON_CARRERAS_ID', 'ConCarrerasId', 'int', CreoleTypes::INTEGER, 'con_carreras', 'ID', false, null);

		$tMap->addColumn('PLAN', 'Plan', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 