<?php



class ConcursoCargoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConcursoCargoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('concurso_cargo');
		$tMap->setPhpName('ConcursoCargo');

		$tMap->setUseIdGenerator(true);

		$tMap->addForeignKey('CON_CONCURSOS_ID', 'ConConcursosId', 'int', CreoleTypes::INTEGER, 'con_concursos', 'ID', false, null);

		$tMap->addForeignKey('CON_CARGOS_ID', 'ConCargosId', 'int', CreoleTypes::INTEGER, 'con_cargos', 'ID', false, null);

		$tMap->addForeignKey('CON_DEDICACIONES_ID', 'ConDedicacionesId', 'int', CreoleTypes::INTEGER, 'con_dedicaciones', 'ID', false, null);

		$tMap->addForeignKey('CON_ASPIRANTES_ID', 'ConAspirantesId', 'int', CreoleTypes::INTEGER, 'con_aspirantes', 'ID', false, null);

		$tMap->addColumn('RES_DESIGNA', 'ResDesigna', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('FEC_RES_DESIGNA', 'FecResDesigna', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('FEC_FINAL_DESIG', 'FecFinalDesig', 'int', CreoleTypes::DATE, false, null);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 