<?php



class ConcursoJuradoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConcursoJuradoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_concursos_jurados');
		$tMap->setPhpName('ConcursoJurado');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('CON_JURADOS_ID', 'ConJuradosId', 'int', CreoleTypes::INTEGER, 'con_jurados', 'ID', false, null);

		$tMap->addForeignKey('CON_CONCURSOS_ID', 'ConConcursosId', 'int', CreoleTypes::INTEGER, 'con_concursos', 'ID', false, null);

		$tMap->addColumn('OBSERVACION', 'Observacion', 'string', CreoleTypes::LONGVARCHAR, true, null);

	} 
} 