<?php



class PautaMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.PautaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_pautas');
		$tMap->setPhpName('Pauta');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('CIERRE', 'Cierre', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('PRESENT_DOC', 'PresentDoc', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('REMITE_NOMINA', 'RemiteNomina', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('EXIBE_NOMINA_ASPIRANTE', 'ExibeNominaAspirante', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('EXIBE_NOMINA_ASPIRANTE_FIN', 'ExibeNominaAspiranteFin', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('IMPUGNACION_ASP_VISTA', 'ImpugnacionAspVista', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('IMPUGNACION_NOTIF_RESOL', 'ImpugnacionNotifResol', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('IMPUGNACION_ASP_APELA', 'ImpugnacionAspApela', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('IMPUGNACION_RESOL', 'ImpugnacionResol', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_RESOL', 'JuradoDesignaResol', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('APELACION_RESOL', 'ApelacionResol', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_NOTIF', 'JuradoDesignaNotif', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_RECUSA', 'JuradoDesignaRecusa', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('IMPUGNACION_ASP', 'ImpugnacionAsp', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('IMPUGNACION_RESOL_APELA', 'ImpugnacionResolApela', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_RECUSA_VISTA', 'JuradoDesignaRecusaVista', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_RECUSA_DESCARGO', 'JuradoDesignaRecusaDescargo', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_RECUSA_ELEVA_CD', 'JuradoDesignaRecusaElevaCd', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_RECUSA_RESOL', 'JuradoDesignaRecusaResol', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('JURADO_DESIGNA_FIRME', 'JuradoDesignaFirme', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('EVALUACION_RESOLUCION', 'EvaluacionResolucion', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('EVALUACION_JURADO_REUNION', 'EvaluacionJuradoReunion', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('SORTEO_FECHA', 'SorteoFecha', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('ELEVACION_ORDEN_MERITO', 'ElevacionOrdenMerito', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('DICTAMEN_ASPIRANTES_NOTIFICA', 'DictamenAspirantesNotifica', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('DICTAMEN_ASPIRANTES_IMPUGNACION', 'DictamenAspirantesImpugnacion', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('DICTAMEN_FIN_SOLICITUD_AMPLIACION', 'DictamenFinSolicitudAmpliacion', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('RESOLUCION_CD', 'ResolucionCd', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('RESOLUCION_CD_NOTIFICACION', 'ResolucionCdNotificacion', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('RESOLUCION_CD_IMPUGNACION', 'ResolucionCdImpugnacion', 'int', CreoleTypes::INTEGER, false, null);

	} 
} 