<?php


abstract class BaseConcursoAspirantePeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'con_concursos_aspirantes';

	
	const CLASS_DEFAULT = 'lib.model.ConcursoAspirante';

	
	const NUM_COLUMNS = 7;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'con_concursos_aspirantes.ID';

	
	const CON_ASPIRANTES_ID = 'con_concursos_aspirantes.CON_ASPIRANTES_ID';

	
	const CON_CONCURSOS_ID = 'con_concursos_aspirantes.CON_CONCURSOS_ID';

	
	const CREATED_AT = 'con_concursos_aspirantes.CREATED_AT';

	
	const FECHA_INSCRIPCION = 'con_concursos_aspirantes.FECHA_INSCRIPCION';

	
	const OBSERVACION = 'con_concursos_aspirantes.OBSERVACION';

	
	const DOC_COMPLETA = 'con_concursos_aspirantes.DOC_COMPLETA';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'ConAspirantesId', 'ConConcursosId', 'CreatedAt', 'FechaInscripcion', 'Observacion', 'DocCompleta', ),
		BasePeer::TYPE_COLNAME => array (ConcursoAspirantePeer::ID, ConcursoAspirantePeer::CON_ASPIRANTES_ID, ConcursoAspirantePeer::CON_CONCURSOS_ID, ConcursoAspirantePeer::CREATED_AT, ConcursoAspirantePeer::FECHA_INSCRIPCION, ConcursoAspirantePeer::OBSERVACION, ConcursoAspirantePeer::DOC_COMPLETA, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'con_aspirantes_id', 'con_concursos_id', 'created_at', 'fecha_inscripcion', 'observacion', 'doc_completa', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'ConAspirantesId' => 1, 'ConConcursosId' => 2, 'CreatedAt' => 3, 'FechaInscripcion' => 4, 'Observacion' => 5, 'DocCompleta' => 6, ),
		BasePeer::TYPE_COLNAME => array (ConcursoAspirantePeer::ID => 0, ConcursoAspirantePeer::CON_ASPIRANTES_ID => 1, ConcursoAspirantePeer::CON_CONCURSOS_ID => 2, ConcursoAspirantePeer::CREATED_AT => 3, ConcursoAspirantePeer::FECHA_INSCRIPCION => 4, ConcursoAspirantePeer::OBSERVACION => 5, ConcursoAspirantePeer::DOC_COMPLETA => 6, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'con_aspirantes_id' => 1, 'con_concursos_id' => 2, 'created_at' => 3, 'fecha_inscripcion' => 4, 'observacion' => 5, 'doc_completa' => 6, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/ConcursoAspiranteMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.ConcursoAspiranteMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = ConcursoAspirantePeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ConcursoAspirantePeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ConcursoAspirantePeer::ID);

		$criteria->addSelectColumn(ConcursoAspirantePeer::CON_ASPIRANTES_ID);

		$criteria->addSelectColumn(ConcursoAspirantePeer::CON_CONCURSOS_ID);

		$criteria->addSelectColumn(ConcursoAspirantePeer::CREATED_AT);

		$criteria->addSelectColumn(ConcursoAspirantePeer::FECHA_INSCRIPCION);

		$criteria->addSelectColumn(ConcursoAspirantePeer::OBSERVACION);

		$criteria->addSelectColumn(ConcursoAspirantePeer::DOC_COMPLETA);

	}

	const COUNT = 'COUNT(con_concursos_aspirantes.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT con_concursos_aspirantes.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = ConcursoAspirantePeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ConcursoAspirantePeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return ConcursoAspirantePeer::populateObjects(ConcursoAspirantePeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoAspirantePeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BaseConcursoAspirantePeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			ConcursoAspirantePeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = ConcursoAspirantePeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinAspirante(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoAspirantePeer::CON_ASPIRANTES_ID, AspirantePeer::ID);

		$rs = ConcursoAspirantePeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoAspirantePeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = ConcursoAspirantePeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAspirante(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol = (ConcursoAspirantePeer::NUM_COLUMNS - ConcursoAspirantePeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		AspirantePeer::addSelectColumns($c);

		$c->addJoin(ConcursoAspirantePeer::CON_ASPIRANTES_ID, AspirantePeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoAspirantePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = AspirantePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getAspirante(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoAspirante($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoAspirantes();
				$obj2->addConcursoAspirante($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol = (ConcursoAspirantePeer::NUM_COLUMNS - ConcursoAspirantePeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ConcursoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoAspirantePeer::CON_CONCURSOS_ID, ConcursoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoAspirantePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoAspirante($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoAspirantes();
				$obj2->addConcursoAspirante($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoAspirantePeer::CON_ASPIRANTES_ID, AspirantePeer::ID);

		$criteria->addJoin(ConcursoAspirantePeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = ConcursoAspirantePeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol2 = (ConcursoAspirantePeer::NUM_COLUMNS - ConcursoAspirantePeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		AspirantePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + AspirantePeer::NUM_COLUMNS;

		ConcursoPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ConcursoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoAspirantePeer::CON_ASPIRANTES_ID, AspirantePeer::ID);

		$c->addJoin(ConcursoAspirantePeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoAspirantePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = AspirantePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getAspirante(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoAspirante($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoAspirantes();
				$obj2->addConcursoAspirante($obj1);
			}


					
			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getConcurso(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoAspirante($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoAspirantes();
				$obj3->addConcursoAspirante($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptAspirante(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoAspirantePeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = ConcursoAspirantePeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoAspirantePeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoAspirantePeer::CON_ASPIRANTES_ID, AspirantePeer::ID);

		$rs = ConcursoAspirantePeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptAspirante(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol2 = (ConcursoAspirantePeer::NUM_COLUMNS - ConcursoAspirantePeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoAspirantePeer::CON_CONCURSOS_ID, ConcursoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoAspirantePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoAspirante($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoAspirantes();
				$obj2->addConcursoAspirante($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol2 = (ConcursoAspirantePeer::NUM_COLUMNS - ConcursoAspirantePeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		AspirantePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + AspirantePeer::NUM_COLUMNS;

		$c->addJoin(ConcursoAspirantePeer::CON_ASPIRANTES_ID, AspirantePeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoAspirantePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = AspirantePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getAspirante(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoAspirante($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoAspirantes();
				$obj2->addConcursoAspirante($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ConcursoAspirantePeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoAspirantePeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoAspirantePeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(ConcursoAspirantePeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BaseConcursoAspirantePeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoAspirantePeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoAspirantePeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoAspirantePeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ConcursoAspirantePeer::ID);
			$selectCriteria->add(ConcursoAspirantePeer::ID, $criteria->remove(ConcursoAspirantePeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BaseConcursoAspirantePeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoAspirantePeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(ConcursoAspirantePeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ConcursoAspirantePeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof ConcursoAspirante) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(ConcursoAspirantePeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(ConcursoAspirante $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ConcursoAspirantePeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ConcursoAspirantePeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ConcursoAspirantePeer::DATABASE_NAME, ConcursoAspirantePeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ConcursoAspirantePeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(ConcursoAspirantePeer::DATABASE_NAME);

		$criteria->add(ConcursoAspirantePeer::ID, $pk);


		$v = ConcursoAspirantePeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(ConcursoAspirantePeer::ID, $pks, Criteria::IN);
			$objs = ConcursoAspirantePeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseConcursoAspirantePeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/ConcursoAspiranteMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.ConcursoAspiranteMapBuilder');
}
