<?php


abstract class BaseConcursoCargoDedicacionPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'con_concursos_cargos_dedic';

	
	const CLASS_DEFAULT = 'lib.model.ConcursoCargoDedicacion';

	
	const NUM_COLUMNS = 5;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'con_concursos_cargos_dedic.ID';

	
	const CON_CONCURSOS_ID = 'con_concursos_cargos_dedic.CON_CONCURSOS_ID';

	
	const CON_CARGOS_ID = 'con_concursos_cargos_dedic.CON_CARGOS_ID';

	
	const CON_DEDICACIONES_ID = 'con_concursos_cargos_dedic.CON_DEDICACIONES_ID';

	
	const CON_CONCURSOS_ASPIRANTES_ID = 'con_concursos_cargos_dedic.CON_CONCURSOS_ASPIRANTES_ID';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'ConConcursosId', 'ConCargosId', 'ConDedicacionesId', 'ConConcursosAspirantesId', ),
		BasePeer::TYPE_COLNAME => array (ConcursoCargoDedicacionPeer::ID, ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoCargoDedicacionPeer::CON_CARGOS_ID, ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'con_concursos_id', 'con_cargos_id', 'con_dedicaciones_id', 'con_concursos_aspirantes_id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'ConConcursosId' => 1, 'ConCargosId' => 2, 'ConDedicacionesId' => 3, 'ConConcursosAspirantesId' => 4, ),
		BasePeer::TYPE_COLNAME => array (ConcursoCargoDedicacionPeer::ID => 0, ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID => 1, ConcursoCargoDedicacionPeer::CON_CARGOS_ID => 2, ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID => 3, ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID => 4, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'con_concursos_id' => 1, 'con_cargos_id' => 2, 'con_dedicaciones_id' => 3, 'con_concursos_aspirantes_id' => 4, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/ConcursoCargoDedicacionMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.ConcursoCargoDedicacionMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = ConcursoCargoDedicacionPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ConcursoCargoDedicacionPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::ID);

		$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID);

		$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::CON_CARGOS_ID);

		$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID);

		$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID);

	}

	const COUNT = 'COUNT(con_concursos_cargos_dedic.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT con_concursos_cargos_dedic.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ConcursoCargoDedicacionPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return ConcursoCargoDedicacionPeer::populateObjects(ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacionPeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BaseConcursoCargoDedicacionPeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			ConcursoCargoDedicacionPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = ConcursoCargoDedicacionPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinCargo(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinDedicacion(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinConcursoAspirante(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ConcursoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoCargoDedicacion($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinCargo(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CargoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CargoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCargo(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoCargoDedicacion($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinDedicacion(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		DedicacionPeer::addSelectColumns($c);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = DedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getDedicacion(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoCargoDedicacion($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinConcursoAspirante(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ConcursoAspirantePeer::addSelectColumns($c);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoAspirantePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getConcursoAspirante(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoCargoDedicacion($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CargoPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + DedicacionPeer::NUM_COLUMNS;

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol6 = $startcol5 + ConcursoAspirantePeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCargoDedicacion($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1);
			}


					
			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCargo(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCargoDedicacion($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCargoDedicacions();
				$obj3->addConcursoCargoDedicacion($obj1);
			}


					
			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getDedicacion(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcursoCargoDedicacion($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursoCargoDedicacions();
				$obj4->addConcursoCargoDedicacion($obj1);
			}


					
			$omClass = ConcursoAspirantePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5 = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getConcursoAspirante(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcursoCargoDedicacion($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursoCargoDedicacions();
				$obj5->addConcursoCargoDedicacion($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptCargo(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptDedicacion(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptConcursoAspirante(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCargoDedicacionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$rs = ConcursoCargoDedicacionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CargoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CargoPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + DedicacionPeer::NUM_COLUMNS;

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ConcursoAspirantePeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCargo(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getDedicacion(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCargoDedicacions();
				$obj3->addConcursoCargoDedicacion($obj1);
			}

			$omClass = ConcursoAspirantePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getConcursoAspirante(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursoCargoDedicacions();
				$obj4->addConcursoCargoDedicacion($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptCargo(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + DedicacionPeer::NUM_COLUMNS;

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ConcursoAspirantePeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getDedicacion(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCargoDedicacions();
				$obj3->addConcursoCargoDedicacion($obj1);
			}

			$omClass = ConcursoAspirantePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getConcursoAspirante(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursoCargoDedicacions();
				$obj4->addConcursoCargoDedicacion($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptDedicacion(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CargoPeer::NUM_COLUMNS;

		ConcursoAspirantePeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ConcursoAspirantePeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, ConcursoAspirantePeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCargo(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCargoDedicacions();
				$obj3->addConcursoCargoDedicacion($obj1);
			}

			$omClass = ConcursoAspirantePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getConcursoAspirante(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursoCargoDedicacions();
				$obj4->addConcursoCargoDedicacion($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptConcursoAspirante(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCargoDedicacionPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCargoDedicacionPeer::NUM_COLUMNS - ConcursoCargoDedicacionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CargoPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + DedicacionPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCargoDedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCargoDedicacions();
				$obj2->addConcursoCargoDedicacion($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCargo(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCargoDedicacions();
				$obj3->addConcursoCargoDedicacion($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getDedicacion(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcursoCargoDedicacion($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursoCargoDedicacions();
				$obj4->addConcursoCargoDedicacion($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ConcursoCargoDedicacionPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacionPeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoCargoDedicacionPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(ConcursoCargoDedicacionPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacionPeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoCargoDedicacionPeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacionPeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoCargoDedicacionPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ConcursoCargoDedicacionPeer::ID);
			$selectCriteria->add(ConcursoCargoDedicacionPeer::ID, $criteria->remove(ConcursoCargoDedicacionPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacionPeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoCargoDedicacionPeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(ConcursoCargoDedicacionPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ConcursoCargoDedicacionPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof ConcursoCargoDedicacion) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(ConcursoCargoDedicacionPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(ConcursoCargoDedicacion $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ConcursoCargoDedicacionPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ConcursoCargoDedicacionPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ConcursoCargoDedicacionPeer::DATABASE_NAME, ConcursoCargoDedicacionPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ConcursoCargoDedicacionPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(ConcursoCargoDedicacionPeer::DATABASE_NAME);

		$criteria->add(ConcursoCargoDedicacionPeer::ID, $pk);


		$v = ConcursoCargoDedicacionPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(ConcursoCargoDedicacionPeer::ID, $pks, Criteria::IN);
			$objs = ConcursoCargoDedicacionPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseConcursoCargoDedicacionPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/ConcursoCargoDedicacionMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.ConcursoCargoDedicacionMapBuilder');
}
