<?php


abstract class BaseConcursoCarreraPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'concurso_carrera';

	
	const CLASS_DEFAULT = 'lib.model.ConcursoCarrera';

	
	const NUM_COLUMNS = 4;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const CON_CONCURSOS_ID = 'concurso_carrera.CON_CONCURSOS_ID';

	
	const CON_CARRERAS_ID = 'concurso_carrera.CON_CARRERAS_ID';

	
	const CON_MATERIAS_ID = 'concurso_carrera.CON_MATERIAS_ID';

	
	const ID = 'concurso_carrera.ID';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('ConConcursosId', 'ConCarrerasId', 'ConMateriasId', 'Id', ),
		BasePeer::TYPE_COLNAME => array (ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoCarreraPeer::CON_CARRERAS_ID, ConcursoCarreraPeer::CON_MATERIAS_ID, ConcursoCarreraPeer::ID, ),
		BasePeer::TYPE_FIELDNAME => array ('con_concursos_id', 'con_carreras_id', 'con_materias_id', 'id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('ConConcursosId' => 0, 'ConCarrerasId' => 1, 'ConMateriasId' => 2, 'Id' => 3, ),
		BasePeer::TYPE_COLNAME => array (ConcursoCarreraPeer::CON_CONCURSOS_ID => 0, ConcursoCarreraPeer::CON_CARRERAS_ID => 1, ConcursoCarreraPeer::CON_MATERIAS_ID => 2, ConcursoCarreraPeer::ID => 3, ),
		BasePeer::TYPE_FIELDNAME => array ('con_concursos_id' => 0, 'con_carreras_id' => 1, 'con_materias_id' => 2, 'id' => 3, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/ConcursoCarreraMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.ConcursoCarreraMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = ConcursoCarreraPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ConcursoCarreraPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ConcursoCarreraPeer::CON_CONCURSOS_ID);

		$criteria->addSelectColumn(ConcursoCarreraPeer::CON_CARRERAS_ID);

		$criteria->addSelectColumn(ConcursoCarreraPeer::CON_MATERIAS_ID);

		$criteria->addSelectColumn(ConcursoCarreraPeer::ID);

	}

	const COUNT = 'COUNT(concurso_carrera.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT concurso_carrera.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ConcursoCarreraPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return ConcursoCarreraPeer::populateObjects(ConcursoCarreraPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCarreraPeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BaseConcursoCarreraPeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			ConcursoCarreraPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = ConcursoCarreraPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinCarrera(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinMateria(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCarreraPeer::addSelectColumns($c);
		$startcol = (ConcursoCarreraPeer::NUM_COLUMNS - ConcursoCarreraPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ConcursoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoCarrera($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoCarreras();
				$obj2->addConcursoCarrera($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinCarrera(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCarreraPeer::addSelectColumns($c);
		$startcol = (ConcursoCarreraPeer::NUM_COLUMNS - ConcursoCarreraPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CarreraPeer::addSelectColumns($c);

		$c->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoCarrera($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoCarreras();
				$obj2->addConcursoCarrera($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinMateria(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCarreraPeer::addSelectColumns($c);
		$startcol = (ConcursoCarreraPeer::NUM_COLUMNS - ConcursoCarreraPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		MateriaPeer::addSelectColumns($c);

		$c->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MateriaPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getMateria(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoCarrera($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoCarreras();
				$obj2->addConcursoCarrera($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$criteria->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCarreraPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCarreraPeer::NUM_COLUMNS - ConcursoCarreraPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		CarreraPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CarreraPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + MateriaPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$c->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCarrera($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCarreras();
				$obj2->addConcursoCarrera($obj1);
			}


					
			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCarrera(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCarrera($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCarreras();
				$obj3->addConcursoCarrera($obj1);
			}


					
			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getMateria(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcursoCarrera($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursoCarreras();
				$obj4->addConcursoCarrera($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptCarrera(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$criteria->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptMateria(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoCarreraPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$criteria->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$rs = ConcursoCarreraPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCarreraPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCarreraPeer::NUM_COLUMNS - ConcursoCarreraPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + MateriaPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCarrera($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCarreras();
				$obj2->addConcursoCarrera($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getMateria(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCarrera($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCarreras();
				$obj3->addConcursoCarrera($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptCarrera(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCarreraPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCarreraPeer::NUM_COLUMNS - ConcursoCarreraPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + MateriaPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$c->addJoin(ConcursoCarreraPeer::CON_MATERIAS_ID, MateriaPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCarrera($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCarreras();
				$obj2->addConcursoCarrera($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getMateria(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCarrera($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCarreras();
				$obj3->addConcursoCarrera($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptMateria(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoCarreraPeer::addSelectColumns($c);
		$startcol2 = (ConcursoCarreraPeer::NUM_COLUMNS - ConcursoCarreraPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		CarreraPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CarreraPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoCarreraPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$c->addJoin(ConcursoCarreraPeer::CON_CARRERAS_ID, CarreraPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoCarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoCarrera($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoCarreras();
				$obj2->addConcursoCarrera($obj1);
			}

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCarrera(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcursoCarrera($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursoCarreras();
				$obj3->addConcursoCarrera($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ConcursoCarreraPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCarreraPeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoCarreraPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(ConcursoCarreraPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BaseConcursoCarreraPeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoCarreraPeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCarreraPeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoCarreraPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ConcursoCarreraPeer::ID);
			$selectCriteria->add(ConcursoCarreraPeer::ID, $criteria->remove(ConcursoCarreraPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BaseConcursoCarreraPeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoCarreraPeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(ConcursoCarreraPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ConcursoCarreraPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof ConcursoCarrera) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(ConcursoCarreraPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(ConcursoCarrera $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ConcursoCarreraPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ConcursoCarreraPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ConcursoCarreraPeer::DATABASE_NAME, ConcursoCarreraPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ConcursoCarreraPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(ConcursoCarreraPeer::DATABASE_NAME);

		$criteria->add(ConcursoCarreraPeer::ID, $pk);


		$v = ConcursoCarreraPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(ConcursoCarreraPeer::ID, $pks, Criteria::IN);
			$objs = ConcursoCarreraPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseConcursoCarreraPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/ConcursoCarreraMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.ConcursoCarreraMapBuilder');
}
