<?php


abstract class BaseConcursoNovedadPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'con_concursos_novedades';

	
	const CLASS_DEFAULT = 'lib.model.ConcursoNovedad';

	
	const NUM_COLUMNS = 5;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'con_concursos_novedades.ID';

	
	const CON_CONCURSOS_ID = 'con_concursos_novedades.CON_CONCURSOS_ID';

	
	const CREATED_AT = 'con_concursos_novedades.CREATED_AT';

	
	const DESCRIPCION = 'con_concursos_novedades.DESCRIPCION';

	
	const SEG_USUARIO_ID = 'con_concursos_novedades.SEG_USUARIO_ID';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'ConConcursosId', 'CreatedAt', 'Descripcion', 'SegUsuarioId', ),
		BasePeer::TYPE_COLNAME => array (ConcursoNovedadPeer::ID, ConcursoNovedadPeer::CON_CONCURSOS_ID, ConcursoNovedadPeer::CREATED_AT, ConcursoNovedadPeer::DESCRIPCION, ConcursoNovedadPeer::SEG_USUARIO_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'con_concursos_id', 'created_at', 'descripcion', 'seg_usuario_id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'ConConcursosId' => 1, 'CreatedAt' => 2, 'Descripcion' => 3, 'SegUsuarioId' => 4, ),
		BasePeer::TYPE_COLNAME => array (ConcursoNovedadPeer::ID => 0, ConcursoNovedadPeer::CON_CONCURSOS_ID => 1, ConcursoNovedadPeer::CREATED_AT => 2, ConcursoNovedadPeer::DESCRIPCION => 3, ConcursoNovedadPeer::SEG_USUARIO_ID => 4, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'con_concursos_id' => 1, 'created_at' => 2, 'descripcion' => 3, 'seg_usuario_id' => 4, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/ConcursoNovedadMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.ConcursoNovedadMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = ConcursoNovedadPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ConcursoNovedadPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ConcursoNovedadPeer::ID);

		$criteria->addSelectColumn(ConcursoNovedadPeer::CON_CONCURSOS_ID);

		$criteria->addSelectColumn(ConcursoNovedadPeer::CREATED_AT);

		$criteria->addSelectColumn(ConcursoNovedadPeer::DESCRIPCION);

		$criteria->addSelectColumn(ConcursoNovedadPeer::SEG_USUARIO_ID);

	}

	const COUNT = 'COUNT(con_concursos_novedades.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT con_concursos_novedades.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoNovedadPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoNovedadPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = ConcursoNovedadPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ConcursoNovedadPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return ConcursoNovedadPeer::populateObjects(ConcursoNovedadPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoNovedadPeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BaseConcursoNovedadPeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			ConcursoNovedadPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = ConcursoNovedadPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoNovedadPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoNovedadPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoNovedadPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = ConcursoNovedadPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoNovedadPeer::addSelectColumns($c);
		$startcol = (ConcursoNovedadPeer::NUM_COLUMNS - ConcursoNovedadPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ConcursoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoNovedadPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoNovedadPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcursoNovedad($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursoNovedads();
				$obj2->addConcursoNovedad($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoNovedadPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoNovedadPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoNovedadPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = ConcursoNovedadPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoNovedadPeer::addSelectColumns($c);
		$startcol2 = (ConcursoNovedadPeer::NUM_COLUMNS - ConcursoNovedadPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoNovedadPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoNovedadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcursoNovedad($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursoNovedads();
				$obj2->addConcursoNovedad($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ConcursoNovedadPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoNovedadPeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoNovedadPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(ConcursoNovedadPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BaseConcursoNovedadPeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoNovedadPeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoNovedadPeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoNovedadPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ConcursoNovedadPeer::ID);
			$selectCriteria->add(ConcursoNovedadPeer::ID, $criteria->remove(ConcursoNovedadPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BaseConcursoNovedadPeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoNovedadPeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(ConcursoNovedadPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ConcursoNovedadPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof ConcursoNovedad) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(ConcursoNovedadPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(ConcursoNovedad $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ConcursoNovedadPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ConcursoNovedadPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ConcursoNovedadPeer::DATABASE_NAME, ConcursoNovedadPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ConcursoNovedadPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(ConcursoNovedadPeer::DATABASE_NAME);

		$criteria->add(ConcursoNovedadPeer::ID, $pk);


		$v = ConcursoNovedadPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(ConcursoNovedadPeer::ID, $pks, Criteria::IN);
			$objs = ConcursoNovedadPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseConcursoNovedadPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/ConcursoNovedadMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.ConcursoNovedadMapBuilder');
}
