<?php


abstract class BaseConcursoPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'con_concursos';

	
	const CLASS_DEFAULT = 'lib.model.Concurso';

	
	const NUM_COLUMNS = 30;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'con_concursos.ID';

	
	const NRO_EXP_FAC = 'con_concursos.NRO_EXP_FAC';

	
	const NOMBRE = 'con_concursos.NOMBRE';

	
	const INICIO_DATE = 'con_concursos.INICIO_DATE';

	
	const RES_CONVOCA = 'con_concursos.RES_CONVOCA';

	
	const RES_DESIGNA = 'con_concursos.RES_DESIGNA';

	
	const RES_DESIGNA_FECHA = 'con_concursos.RES_DESIGNA_FECHA';

	
	const CLASEPUBLICA_DATE = 'con_concursos.CLASEPUBLICA_DATE';

	
	const CON_CARRERAS_ID = 'con_concursos.CON_CARRERAS_ID';

	
	const CON_SEDES_ID = 'con_concursos.CON_SEDES_ID';

	
	const CON_FACULTADES_ID = 'con_concursos.CON_FACULTADES_ID';

	
	const CON_MATERIAS_ID = 'con_concursos.CON_MATERIAS_ID';

	
	const CON_DEDICACIONES_ID = 'con_concursos.CON_DEDICACIONES_ID';

	
	const CON_CARGOS_ID = 'con_concursos.CON_CARGOS_ID';

	
	const CARRERA_MATERIA_ID = 'con_concursos.CARRERA_MATERIA_ID';

	
	const CON_RESOLUCION_ID = 'con_concursos.CON_RESOLUCION_ID';

	
	const OBSERVACION = 'con_concursos.OBSERVACION';

	
	const CANTIDAD_MANUAL = 'con_concursos.CANTIDAD_MANUAL';

	
	const ASPIRANTE_NOMBRE = 'con_concursos.ASPIRANTE_NOMBRE';

	
	const ASPIRANTE_APELLIDO = 'con_concursos.ASPIRANTE_APELLIDO';

	
	const ASPIRANTE_DNI = 'con_concursos.ASPIRANTE_DNI';

	
	const ASPIRANTE_TITULO = 'con_concursos.ASPIRANTE_TITULO';

	
	const DESIERTO = 'con_concursos.DESIERTO';

	
	const SUSPENDIDO = 'con_concursos.SUSPENDIDO';

	
	const TRANSFERIDO = 'con_concursos.TRANSFERIDO';

	
	const IS_TRAMITE = 'con_concursos.IS_TRAMITE';

	
	const CANT_CARGOS_CONV = 'con_concursos.CANT_CARGOS_CONV';

	
	const CON_ESTADO_ID = 'con_concursos.CON_ESTADO_ID';

	
	const CON_RESULTADO_ID = 'con_concursos.CON_RESULTADO_ID';

	
	const CREATED_AT = 'con_concursos.CREATED_AT';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'NroExpFac', 'Nombre', 'InicioDate', 'ResConvoca', 'ResDesigna', 'ResDesignaFecha', 'ClasepublicaDate', 'ConCarrerasId', 'ConSedesId', 'ConFacultadesId', 'ConMateriasId', 'ConDedicacionesId', 'ConCargosId', 'CarreraMateriaId', 'ConResolucionId', 'Observacion', 'CantidadManual', 'AspiranteNombre', 'AspiranteApellido', 'AspiranteDni', 'AspiranteTitulo', 'Desierto', 'Suspendido', 'Transferido', 'IsTramite', 'CantCargosConv', 'ConEstadoId', 'ConResultadoId', 'CreatedAt', ),
		BasePeer::TYPE_COLNAME => array (ConcursoPeer::ID, ConcursoPeer::NRO_EXP_FAC, ConcursoPeer::NOMBRE, ConcursoPeer::INICIO_DATE, ConcursoPeer::RES_CONVOCA, ConcursoPeer::RES_DESIGNA, ConcursoPeer::RES_DESIGNA_FECHA, ConcursoPeer::CLASEPUBLICA_DATE, ConcursoPeer::CON_CARRERAS_ID, ConcursoPeer::CON_SEDES_ID, ConcursoPeer::CON_FACULTADES_ID, ConcursoPeer::CON_MATERIAS_ID, ConcursoPeer::CON_DEDICACIONES_ID, ConcursoPeer::CON_CARGOS_ID, ConcursoPeer::CARRERA_MATERIA_ID, ConcursoPeer::CON_RESOLUCION_ID, ConcursoPeer::OBSERVACION, ConcursoPeer::CANTIDAD_MANUAL, ConcursoPeer::ASPIRANTE_NOMBRE, ConcursoPeer::ASPIRANTE_APELLIDO, ConcursoPeer::ASPIRANTE_DNI, ConcursoPeer::ASPIRANTE_TITULO, ConcursoPeer::DESIERTO, ConcursoPeer::SUSPENDIDO, ConcursoPeer::TRANSFERIDO, ConcursoPeer::IS_TRAMITE, ConcursoPeer::CANT_CARGOS_CONV, ConcursoPeer::CON_ESTADO_ID, ConcursoPeer::CON_RESULTADO_ID, ConcursoPeer::CREATED_AT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'nro_exp_fac', 'nombre', 'inicio_date', 'res_convoca', 'res_designa', 'res_designa_fecha', 'clasepublica_date', 'con_carreras_id', 'con_sedes_id', 'con_facultades_id', 'con_materias_id', 'con_dedicaciones_id', 'con_cargos_id', 'carrera_materia_id', 'con_resolucion_id', 'observacion', 'cantidad_manual', 'aspirante_nombre', 'aspirante_apellido', 'aspirante_dni', 'aspirante_titulo', 'desierto', 'suspendido', 'transferido', 'is_tramite', 'cant_cargos_conv', 'con_estado_id', 'con_resultado_id', 'created_at', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'NroExpFac' => 1, 'Nombre' => 2, 'InicioDate' => 3, 'ResConvoca' => 4, 'ResDesigna' => 5, 'ResDesignaFecha' => 6, 'ClasepublicaDate' => 7, 'ConCarrerasId' => 8, 'ConSedesId' => 9, 'ConFacultadesId' => 10, 'ConMateriasId' => 11, 'ConDedicacionesId' => 12, 'ConCargosId' => 13, 'CarreraMateriaId' => 14, 'ConResolucionId' => 15, 'Observacion' => 16, 'CantidadManual' => 17, 'AspiranteNombre' => 18, 'AspiranteApellido' => 19, 'AspiranteDni' => 20, 'AspiranteTitulo' => 21, 'Desierto' => 22, 'Suspendido' => 23, 'Transferido' => 24, 'IsTramite' => 25, 'CantCargosConv' => 26, 'ConEstadoId' => 27, 'ConResultadoId' => 28, 'CreatedAt' => 29, ),
		BasePeer::TYPE_COLNAME => array (ConcursoPeer::ID => 0, ConcursoPeer::NRO_EXP_FAC => 1, ConcursoPeer::NOMBRE => 2, ConcursoPeer::INICIO_DATE => 3, ConcursoPeer::RES_CONVOCA => 4, ConcursoPeer::RES_DESIGNA => 5, ConcursoPeer::RES_DESIGNA_FECHA => 6, ConcursoPeer::CLASEPUBLICA_DATE => 7, ConcursoPeer::CON_CARRERAS_ID => 8, ConcursoPeer::CON_SEDES_ID => 9, ConcursoPeer::CON_FACULTADES_ID => 10, ConcursoPeer::CON_MATERIAS_ID => 11, ConcursoPeer::CON_DEDICACIONES_ID => 12, ConcursoPeer::CON_CARGOS_ID => 13, ConcursoPeer::CARRERA_MATERIA_ID => 14, ConcursoPeer::CON_RESOLUCION_ID => 15, ConcursoPeer::OBSERVACION => 16, ConcursoPeer::CANTIDAD_MANUAL => 17, ConcursoPeer::ASPIRANTE_NOMBRE => 18, ConcursoPeer::ASPIRANTE_APELLIDO => 19, ConcursoPeer::ASPIRANTE_DNI => 20, ConcursoPeer::ASPIRANTE_TITULO => 21, ConcursoPeer::DESIERTO => 22, ConcursoPeer::SUSPENDIDO => 23, ConcursoPeer::TRANSFERIDO => 24, ConcursoPeer::IS_TRAMITE => 25, ConcursoPeer::CANT_CARGOS_CONV => 26, ConcursoPeer::CON_ESTADO_ID => 27, ConcursoPeer::CON_RESULTADO_ID => 28, ConcursoPeer::CREATED_AT => 29, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'nro_exp_fac' => 1, 'nombre' => 2, 'inicio_date' => 3, 'res_convoca' => 4, 'res_designa' => 5, 'res_designa_fecha' => 6, 'clasepublica_date' => 7, 'con_carreras_id' => 8, 'con_sedes_id' => 9, 'con_facultades_id' => 10, 'con_materias_id' => 11, 'con_dedicaciones_id' => 12, 'con_cargos_id' => 13, 'carrera_materia_id' => 14, 'con_resolucion_id' => 15, 'observacion' => 16, 'cantidad_manual' => 17, 'aspirante_nombre' => 18, 'aspirante_apellido' => 19, 'aspirante_dni' => 20, 'aspirante_titulo' => 21, 'desierto' => 22, 'suspendido' => 23, 'transferido' => 24, 'is_tramite' => 25, 'cant_cargos_conv' => 26, 'con_estado_id' => 27, 'con_resultado_id' => 28, 'created_at' => 29, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/ConcursoMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.ConcursoMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = ConcursoPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ConcursoPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ConcursoPeer::ID);

		$criteria->addSelectColumn(ConcursoPeer::NRO_EXP_FAC);

		$criteria->addSelectColumn(ConcursoPeer::NOMBRE);

		$criteria->addSelectColumn(ConcursoPeer::INICIO_DATE);

		$criteria->addSelectColumn(ConcursoPeer::RES_CONVOCA);

		$criteria->addSelectColumn(ConcursoPeer::RES_DESIGNA);

		$criteria->addSelectColumn(ConcursoPeer::RES_DESIGNA_FECHA);

		$criteria->addSelectColumn(ConcursoPeer::CLASEPUBLICA_DATE);

		$criteria->addSelectColumn(ConcursoPeer::CON_CARRERAS_ID);

		$criteria->addSelectColumn(ConcursoPeer::CON_SEDES_ID);

		$criteria->addSelectColumn(ConcursoPeer::CON_FACULTADES_ID);

		$criteria->addSelectColumn(ConcursoPeer::CON_MATERIAS_ID);

		$criteria->addSelectColumn(ConcursoPeer::CON_DEDICACIONES_ID);

		$criteria->addSelectColumn(ConcursoPeer::CON_CARGOS_ID);

		$criteria->addSelectColumn(ConcursoPeer::CARRERA_MATERIA_ID);

		$criteria->addSelectColumn(ConcursoPeer::CON_RESOLUCION_ID);

		$criteria->addSelectColumn(ConcursoPeer::OBSERVACION);

		$criteria->addSelectColumn(ConcursoPeer::CANTIDAD_MANUAL);

		$criteria->addSelectColumn(ConcursoPeer::ASPIRANTE_NOMBRE);

		$criteria->addSelectColumn(ConcursoPeer::ASPIRANTE_APELLIDO);

		$criteria->addSelectColumn(ConcursoPeer::ASPIRANTE_DNI);

		$criteria->addSelectColumn(ConcursoPeer::ASPIRANTE_TITULO);

		$criteria->addSelectColumn(ConcursoPeer::DESIERTO);

		$criteria->addSelectColumn(ConcursoPeer::SUSPENDIDO);

		$criteria->addSelectColumn(ConcursoPeer::TRANSFERIDO);

		$criteria->addSelectColumn(ConcursoPeer::IS_TRAMITE);

		$criteria->addSelectColumn(ConcursoPeer::CANT_CARGOS_CONV);

		$criteria->addSelectColumn(ConcursoPeer::CON_ESTADO_ID);

		$criteria->addSelectColumn(ConcursoPeer::CON_RESULTADO_ID);

		$criteria->addSelectColumn(ConcursoPeer::CREATED_AT);

	}

	const COUNT = 'COUNT(con_concursos.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT con_concursos.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ConcursoPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return ConcursoPeer::populateObjects(ConcursoPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoPeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BaseConcursoPeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			ConcursoPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = ConcursoPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinCarrera(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinSede(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinFacultad(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinMateria(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinDedicacion(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinCargo(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinCarreraMateria(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinResolucion(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinEstado(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinResultado(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinCarrera(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CarreraPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinSede(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		SedePeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = SedePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getSede(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinFacultad(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		FacultadPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = FacultadPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getFacultad(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinMateria(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		MateriaPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MateriaPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getMateria(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinDedicacion(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		DedicacionPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = DedicacionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getDedicacion(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinCargo(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CargoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CargoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCargo(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinCarreraMateria(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CarreraMateriaPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraMateriaPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinResolucion(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ResolucionPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ResolucionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getResolucion(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinEstado(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		EstadoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = EstadoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getEstado(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinResultado(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ResultadoPeer::addSelectColumns($c);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ResultadoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getResultado(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addConcurso($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol12 = $startcol11 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}


					
			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}


					
			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}


					
			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5 = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getMateria(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}


					
			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6 = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getDedicacion(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}


					
			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7 = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCargo(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}


					
			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8 = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}


					
			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9 = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getResolucion(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}


					
			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10 = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getEstado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}


					
			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj11 = new $cls();
			$obj11->hydrate($rs, $startcol11);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj11 = $temp_obj1->getResultado(); 				if ($temp_obj11->getPrimaryKey() === $obj11->getPrimaryKey()) {
					$newObject = false;
					$temp_obj11->addConcurso($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj11->initConcursos();
				$obj11->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptCarrera(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptSede(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptFacultad(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptMateria(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptDedicacion(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptCargo(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptCarreraMateria(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptResolucion(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptEstado(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptResultado(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ConcursoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ConcursoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$criteria->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$criteria->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$rs = ConcursoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptCarrera(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		SedePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getSede(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getFacultad(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getMateria(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getDedicacion(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getCargo(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getResolucion(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptSede(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getFacultad(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getMateria(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getDedicacion(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getCargo(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getResolucion(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptFacultad(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getMateria(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getDedicacion(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getCargo(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getResolucion(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptMateria(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getDedicacion(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getCargo(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getResolucion(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptDedicacion(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + MateriaPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getMateria(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getCargo(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getResolucion(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptCargo(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + DedicacionPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getMateria(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getDedicacion(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getResolucion(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptCarreraMateria(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CargoPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getMateria(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getDedicacion(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCargo(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getResolucion(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptResolucion(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + CarreraMateriaPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + EstadoPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getMateria(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getDedicacion(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCargo(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getEstado(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptEstado(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + ResolucionPeer::NUM_COLUMNS;

		ResultadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + ResultadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESULTADO_ID, ResultadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getMateria(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getDedicacion(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCargo(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getResolucion(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = ResultadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getResultado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptResultado(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ConcursoPeer::addSelectColumns($c);
		$startcol2 = (ConcursoPeer::NUM_COLUMNS - ConcursoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CarreraPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CarreraPeer::NUM_COLUMNS;

		SedePeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SedePeer::NUM_COLUMNS;

		FacultadPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + FacultadPeer::NUM_COLUMNS;

		MateriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + MateriaPeer::NUM_COLUMNS;

		DedicacionPeer::addSelectColumns($c);
		$startcol7 = $startcol6 + DedicacionPeer::NUM_COLUMNS;

		CargoPeer::addSelectColumns($c);
		$startcol8 = $startcol7 + CargoPeer::NUM_COLUMNS;

		CarreraMateriaPeer::addSelectColumns($c);
		$startcol9 = $startcol8 + CarreraMateriaPeer::NUM_COLUMNS;

		ResolucionPeer::addSelectColumns($c);
		$startcol10 = $startcol9 + ResolucionPeer::NUM_COLUMNS;

		EstadoPeer::addSelectColumns($c);
		$startcol11 = $startcol10 + EstadoPeer::NUM_COLUMNS;

		$c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID);

		$c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID);

		$c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID);

		$c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_DEDICACIONES_ID, DedicacionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID);

		$c->addJoin(ConcursoPeer::CARRERA_MATERIA_ID, CarreraMateriaPeer::ID);

		$c->addJoin(ConcursoPeer::CON_RESOLUCION_ID, ResolucionPeer::ID);

		$c->addJoin(ConcursoPeer::CON_ESTADO_ID, EstadoPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CarreraPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCarrera(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initConcursos();
				$obj2->addConcurso($obj1);
			}

			$omClass = SedePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSede(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initConcursos();
				$obj3->addConcurso($obj1);
			}

			$omClass = FacultadPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getFacultad(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initConcursos();
				$obj4->addConcurso($obj1);
			}

			$omClass = MateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj5  = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getMateria(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj5->initConcursos();
				$obj5->addConcurso($obj1);
			}

			$omClass = DedicacionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj6  = new $cls();
			$obj6->hydrate($rs, $startcol6);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj6 = $temp_obj1->getDedicacion(); 				if ($temp_obj6->getPrimaryKey() === $obj6->getPrimaryKey()) {
					$newObject = false;
					$temp_obj6->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj6->initConcursos();
				$obj6->addConcurso($obj1);
			}

			$omClass = CargoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj7  = new $cls();
			$obj7->hydrate($rs, $startcol7);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj7 = $temp_obj1->getCargo(); 				if ($temp_obj7->getPrimaryKey() === $obj7->getPrimaryKey()) {
					$newObject = false;
					$temp_obj7->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj7->initConcursos();
				$obj7->addConcurso($obj1);
			}

			$omClass = CarreraMateriaPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj8  = new $cls();
			$obj8->hydrate($rs, $startcol8);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj8 = $temp_obj1->getCarreraMateria(); 				if ($temp_obj8->getPrimaryKey() === $obj8->getPrimaryKey()) {
					$newObject = false;
					$temp_obj8->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj8->initConcursos();
				$obj8->addConcurso($obj1);
			}

			$omClass = ResolucionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj9  = new $cls();
			$obj9->hydrate($rs, $startcol9);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj9 = $temp_obj1->getResolucion(); 				if ($temp_obj9->getPrimaryKey() === $obj9->getPrimaryKey()) {
					$newObject = false;
					$temp_obj9->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj9->initConcursos();
				$obj9->addConcurso($obj1);
			}

			$omClass = EstadoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj10  = new $cls();
			$obj10->hydrate($rs, $startcol10);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj10 = $temp_obj1->getEstado(); 				if ($temp_obj10->getPrimaryKey() === $obj10->getPrimaryKey()) {
					$newObject = false;
					$temp_obj10->addConcurso($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj10->initConcursos();
				$obj10->addConcurso($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ConcursoPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoPeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(ConcursoPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BaseConcursoPeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoPeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoPeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseConcursoPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ConcursoPeer::ID);
			$selectCriteria->add(ConcursoPeer::ID, $criteria->remove(ConcursoPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BaseConcursoPeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BaseConcursoPeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += ConcursoPeer::doOnDeleteCascade(new Criteria(), $con);
			$affectedRows += BasePeer::doDeleteAll(ConcursoPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ConcursoPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Concurso) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(ConcursoPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			$affectedRows += ConcursoPeer::doOnDeleteCascade($criteria, $con);
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	protected static function doOnDeleteCascade(Criteria $criteria, Connection $con)
	{
				$affectedRows = 0;

				$objects = ConcursoPeer::doSelect($criteria, $con);
		foreach($objects as $obj) {


			include_once 'lib/model/ConcursoNovedad.php';

						$c = new Criteria();
			
			$c->add(ConcursoNovedadPeer::CON_CONCURSOS_ID, $obj->getId());
			$affectedRows += ConcursoNovedadPeer::doDelete($c, $con);

			include_once 'lib/model/ConcursoCarrera.php';

						$c = new Criteria();
			
			$c->add(ConcursoCarreraPeer::CON_CONCURSOS_ID, $obj->getId());
			$affectedRows += ConcursoCarreraPeer::doDelete($c, $con);
		}
		return $affectedRows;
	}

	
	public static function doValidate(Concurso $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ConcursoPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ConcursoPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ConcursoPeer::DATABASE_NAME, ConcursoPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ConcursoPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(ConcursoPeer::DATABASE_NAME);

		$criteria->add(ConcursoPeer::ID, $pk);


		$v = ConcursoPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(ConcursoPeer::ID, $pks, Criteria::IN);
			$objs = ConcursoPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseConcursoPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/ConcursoMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.ConcursoMapBuilder');
}
