<?php	
	require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'apps'.DIRECTORY_SEPARATOR.SF_APP.DIRECTORY_SEPARATOR.'lib'.DIRECTORY_SEPARATOR.'myPHPfunciones.class.php');
		  
	class MYPDF_CARGOS_CONCURSADOS extends sfTCPDF {
			public function ColoredTable($titulo,$header,$w,$data) {
				
				//Setear Parametros
				$this->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
				$this->setHeaderFont(array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
				$this->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH,''/* PDF_HEADER_TITLE*/,$titulo /* PDF_HEADER_STRING*/);
				$this->setFooterFont(array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
				$this->SetHeaderMargin(PDF_MARGIN_HEADER);
				$this->SetFooterMargin(PDF_MARGIN_FOOTER);
				
				
				//$this->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM); 
				// init pdf doc
				$this->AliasNbPages();
				
				
				$this->startPageGroup();
				$this->AddPage('l');
				
				//Colors, line width and bold font
				$this->SetFillColor(255,255,255);
				$this->SetTextColor(0);
				
				//$this->SetFont('freeserif','I','10');//Arial italic 8
				//$fecha=$this->unhtmlentities(htmlentities( poner_fecha_castellano(false,false) ));				
				//$this->Cell(0,7,$fecha,0,0,'R',1);
				//$this->Ln();
				$this->SetFont('vera','B','7');
				$this->Cell(0,7,$titulo,0,1,'C',1);
				//$this->Ln();$this->Ln();
				
				$this->setrowheader($w, $header);
				
				//Data
				$fill=0;
				$primero=0;
				$j=2;
				
				foreach($data as $row) { //Repeat de first Row of $data
					/*
					if ($primero == 0){
						$grupo = $row[0];*/
						$this->SetFont('vera','','6');
						/*$this->SetFillColor(224,235,255);
							$this->Cell(40,8,"Unidad Academica: ",1,0,'L',1,'',1);
							$this->Cell(0,8,$row[0],1,1,'L');
						$this->restoreDecoration();
						$this->setrowheader($w, $header);
						$primero=$primero+1;
					}*/
					$this->Cell($w[0],5,$row[0],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[1],5,$row[1],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[2],5,$row[2],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[3],5,$row[3],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[4],5,$row[4],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[5],5,$row[5],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[6],5,$row[6],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[7],5,$row[7],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[8],5,$row[8],'LRTB',0,'L',$fill,'',1);
					$this->Cell($w[9],5,$row[9],'LRTB',0,'L',$fill,'',1);
	
					$this->Ln();
					$fill=!$fill;
				}
				
				$this->Cell(array_sum($w),0,'','T');
			}
			
			public function setDecoration(){//Color and font to header
						$this->SetFillColor(25,0,155);
						$this->SetTextColor(255);
						$this->SetDrawColor(0,0,0);
						$this->SetLineWidth(.3);
						$this->SetFont('','B','8');		
			}
			
			public function restoreDecoration(){//Color and font restoration
						$this->SetFillColor(224,235,255);
						$this->SetTextColor(0);
						$this->SetFont('','','8');
			}
			public function setrowheader($w, $header){// Pone encabezado por cada pagina
						$this->setDecoration();	
						for($i=0;$i<count($header);$i++)
							$this->Cell($w[$i],6,$header[$i],1,0,'C',1);
						$this->Ln();
						$this->restoreDecoration();		
			}
			
			public function Footer() {
				$this->SetY(-10);				//Position at 1.5 cm from bottom
				$this->SetFont('freeserif','I',8);//Arial italic 8
				$this->Cell(130,6,$this->unhtmlentities(htmlentities(' Dpto Desarrollo de Sistemas - Direc. de Informatica Universitaria. - sistemas@uader.edu.ar')),'T',0,'L');
				//$this->SetY(-10);				//Position at 1.5 cm from bottom.'/{nb}'
				$this->Cell(0,6,$this->unhtmlentities(htmlentities('Fecha Impresin: '.date("d/m/Y").'   -   Pgina ')).$this->PageNo().'/{nb}','T',0,'R');
			} 
	}