<?php

/**
 * concurso actions.
 *
 * @package    sf_sandbox
 * @subpackage concurso
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 2288 2006-10-02 15:22:13Z fabien $
 */
include_once('mypdf.class.php');

class concursoActions extends autoconcursoActions
{  
  
  function executeVeraspirantes(){
   $this->redirect( 'concursoaspirante/list?concurso_id='.$this->getRequestParameter('id').'&filter=filter&filters%5Bcon_concursos_id%5D='.$this->getRequestParameter('id'));
  }
  
  function executeVercargos(){
   $this->redirect( 'concursocargo/list?concurso_id='.$this->getRequestParameter('id').'&filter=filter&filters%5Bcon_concursos_id%5D='.$this->getRequestParameter('id'));
  }     

  function executeVerjurados(){
   $this->redirect( 'concursojurado/list?concurso_id='.$this->getRequestParameter('id').'&filter=filter&filters%5Bcon_concursos_id%5D='.$this->getRequestParameter('id'));
  } 

  function executeVernovedades(){
      $this->redirect( 'concursonovedad/list?concurso_id='.$this->getRequestParameter('id').'&filter=filter&filters%5Bcon_concursos_id%5D='.$this->getRequestParameter('id'));
  } 

  public function executeListPdfCargosConcursados(){
    $res=NULL;
    if ($this->getRequestParameter('res_c'))
        $res=$this->getRequestParameter('res_c');

    $this->processFilters();
    $this->filters = $this->getUser()->getAttributeHolder()->getAll('sf_admin/concurso/filters');
    if (isset( $this->filters['con_resolucion_id']) && $this->filters['con_resolucion_id'] != '' && $this->filters['con_resolucion_id'] != 0) $res = $this->filters['con_resolucion_id']; else $res = null;
    if (isset( $this->filters['con_facultades_id']) && $this->filters['con_facultades_id'] != '' && $this->filters['con_facultades_id'] != 0) $fac = $this->filters['con_facultades_id']; else $fac = null;
    if (isset( $this->filters['con_carreras_id']) && $this->filters['con_carreras_id'] != ' ' && $this->filters['con_carreras_id'] != 0) $carrera = $this->filters['con_carreras_id']; else $carrera = null;
    if (isset( $this->filters['con_sedes_id']) && $this->filters['con_sedes_id'] != '' && $this->filters['con_sedes_id'] != 0) $sede = $this->filters['con_sedes_id']; else $sede = null;
    if (isset( $this->filters['con_materias_id']) && $this->filters['con_materias_id'] != '' && $this->filters['con_materias_id'] != 0) $mat = $this->filters['con_materias_id']; else $mat = null;
    if (isset( $this->filters['nro_exp_fac']) && $this->filters['nro_exp_fac'] != '' && $this->filters['nro_exp_fac'] != 0) $exp = $this->filters['nro_exp_fac']; else $exp = null;
    if (isset( $this->filters['con_cargos_id']) && $this->filters['con_cargos_id'] != '' && $this->filters['con_cargos_id'] != 0) $cargo = $this->filters['con_cargos_id']; else $cargo = null;
    if (isset( $this->filters['is_tramite']) && $this->filters['is_tramite'] != '' && $this->filters['is_tramite'] != 0) $tram = $this->filters['is_tramite']; else $tram = null;
    if (isset( $this->filters['estado']) && $this->filters['estado'] != '' && $this->filters['estado'] != 0) $est = $this->filters['estado']; else $est = null;
    if (isset( $this->filters['resultado']) && $this->filters['resultado'] != '' && $this->filters['resultado'] != 0) $result = $this->filters['resultado']; else $result = null;

    $concursos = ConcursoPeer::getRepConcursos($res, $fac, $carrera, $sede, $mat, $exp, $cargo, $tram, $est, $result);
    $titulo="Listado de Concursos";
    $header=array('Conv.','Exp.','Fac.','Sede','Materia','Carrera','Carg.', 'Aprob.', 'Est.', 'Result.');
    $w=array(16,16,12,30,60,60,8,20,8,25);
    
    $pdf = new MYPDF_LISTADO_CONCURSOS();
    $pdf->ColoredTable($titulo,$header,$w, $concursos);
    $pdf->Output();
    return sfView::NONE;
  }

  protected function addFiltersCriteria($c) {
    if (isset($this->filters['con_resolucion_id']) && $this->filters['con_resolucion_id'] != '' && $this->filters['con_resolucion_id'] != 0) 
        $c->add(ConcursoPeer::CON_RESOLUCION_ID, $this->filters['con_resolucion_id']);
        
    if (isset( $this->filters['resultado']) && $this->filters['resultado'] != '' && $this->filters['resultado'] != 0) 
        $c->add(ConcursoPeer::CON_RESULTADO_ID, $this->filters['resultado']);        
        
    if (isset( $this->filters['estado']) && $this->filters['estado'] != '' && $this->filters['estado'] != 0) 
        $c->add(ConcursoPeer::CON_ESTADO_ID, $this->filters['estado']);            
        
    if (isset($this->filters['con_facultades_id']) && $this->filters['con_facultades_id'] != '' && $this->filters['con_facultades_id'] != 0) 
        $c->add(ConcursoPeer::CON_FACULTADES_ID, $this->filters['con_facultades_id']);
        
    if (isset($this->filters['nro_exp_fac']) && $this->filters['nro_exp_fac'] != '' && $this->filters['nro_exp_fac'] != 0) 
        $c->add(ConcursoPeer::NRO_EXP_FAC, $this->filters['nro_exp_fac']);
        
    if (isset($this->filters['cant_manual']) && $this->filters['cant_manual'] != '') 
        $c->add(ConcursoPeer::CANTIDAD_MANUAL, $this->filters['cant_manual']);
        
    if (isset($this->filters['con_cargos_id']) && $this->filters['con_cargos_id'] != '' && $this->filters['con_cargos_id'] != 0) 
        $c->add(ConcursoPeer::CON_CARGOS_ID, $this->filters['con_cargos_id']);
        
    if (isset( $this->filters['is_tramite']) && $this->filters['is_tramite'] != '' && $this->filters['is_tramite'] != 0) 
        $c->add(ConcursoPeer::IS_TRAMITE, $this->filters['is_tramite']);
        
    if (isset( $this->filters['con_sedes_id']) && $this->filters['con_sedes_id'] != '' && $this->filters['con_sedes_id'] != 0) 
        $c->add(ConcursoPeer::CON_SEDES_ID, $this->filters['con_sedes_id']);
  }
  
  protected function updateConcursoFromRequest()
  {
       $con_facultades_id = $this->getRequestParameter('con_facultades_id');// Handle the input of the partial field
       $con_carreras_id = $this->getRequestParameter('con_carreras_id');// Handle the input of the partial field
       $con_materias_id = $this->getRequestParameter('con_materias_id');// Handle the input of the partial field

       if ($con_facultades_id)
            $this->concurso->setConFacultadesId($con_facultades_id);
       if ($con_carreras_id)
            $this->concurso->setConCarrerasId($con_carreras_id);
       if ($con_materias_id)
            $this->concurso->setConMateriasId($con_materias_id);
       // Let symfony handle the other fields
       parent::updateConcursoFromRequest();
  }
  
  public function executePdf_Prof_Ord(){
        $c = new Criteria();
        $c->addSelectColumn(FacultadPeer::NOMBRE_LARGO);
        $c->addSelectColumn(CarreraPeer::NOMBRE);             
        $c->addSelectColumn(MateriaPeer::NOMBRE);
        
        $c->addSelectColumn(SedePeer::NOMBRE);
        $c->addSelectColumn(ConcursoPeer::RES_CONVOCA);
        $c->addSelectColumn(CargoPeer::NOMBRE);
        
        $c->addSelectColumn(ConcursoPeer::ASPIRANTE_APELLIDO );
        $c->addSelectColumn(ConcursoPeer::ASPIRANTE_NOMBRE );
        $c->addSelectColumn(ConcursoPeer::ASPIRANTE_DNI );
        
        $c->addSelectColumn(ConcursoPeer::RES_DESIGNA);
        $c->addSelectColumn(ConcursoPeer::RES_DESIGNA_FECHA);
        $c->addSelectColumn(ConcursoPeer::OBSERVACION);
        
        $c->addJoin(ConcursoPeer::CON_FACULTADES_ID, FacultadPeer::ID,Criteria::LEFT_JOIN);
        $c->addJoin(ConcursoPeer::CON_CARRERAS_ID, CarreraPeer::ID,Criteria::LEFT_JOIN);
        $c->addJoin(ConcursoPeer::CON_MATERIAS_ID, MateriaPeer::ID,Criteria::LEFT_JOIN);
        $c->addJoin(ConcursoPeer::CON_SEDES_ID, SedePeer::ID,Criteria::LEFT_JOIN);
        $c->addJoin(ConcursoPeer::CON_CARGOS_ID, CargoPeer::ID,Criteria::LEFT_JOIN);

        $c->add(ConcursoPeer::ASPIRANTE_APELLIDO,'',Criteria::ALT_NOT_EQUAL);
        //$c->add(ConcursoPeer::ASPIRANTE_DNI,0, Criteria::NOT_EQUAL);
        
        if ($this->getRequestParameter('res_o')){
            $c->add(ConcursoPeer::CON_RESOLUCION_ID, $this->getRequestParameter('res_o'));
        }else{
            $c->add(ConcursoPeer::RES_DESIGNA,null,Criteria::ISNOTNULL);
            $c->add(ConcursoPeer::RES_DESIGNA,'',Criteria::NOT_EQUAL);
        }
        
        $c->addAscendingOrderByColumn(FacultadPeer::NOMBRE);
        $c->addAscendingOrderByColumn(CarreraPeer::NOMBRE);
        
    $concursos = ConcursoPeer::doSelectRS($c);
    $titulo="Listado de Profesores Ordinarios Designados";
    $header=array('Apellido y Nombre','Dni','Asignatura','Carrera','Cargo','Res. Designa','Fecha Res.'); //'Fac.',
    $w=array(50,20,70,70,17,20,20);
    
    $pdf = new MYPDF_PADRON_CONCURSOS();
    $pdf->ColoredTable($titulo,$header,$w, $concursos);//titulo, encabezado, anchos de columna, matriz datos 
    $pdf->Output();

    return sfView::NONE;
  }
  
  function executeReportes(){
  }  
  
}

