<?php

/**
 * Subclass for performing query and update operations on the 'carrera_materia' table.
 *
 * 
 *
 * @package lib.model
 */ 
class CarreraMateriaPeer extends BaseCarreraMateriaPeer
{
        static public function doSelectByCarrera($carrera_id)
        {
          $c = new Criteria();
          $c->add(self::CON_CARRERAS_ID, $carrera_id);
          $c->addJoin(self::CON_MATERIAS_ID, MateriaPeer::ID,Criteria::LEFT_JOIN);
          $c->addAscendingOrderByColumn(MateriaPeer::NOMBRE);
          return self::doSelect($c);
        }

}
