<?php

/**
 * Subclass for performing query and update operations on the 'con_carreras' table.
 *
 * 
 *
 * @package lib.model
 */ 
class CarreraPeer extends BaseCarreraPeer
{

  static public function doSelectByFacultad($facultad_id)
  {
		$c = new Criteria();
		$c->add(CarreraPeer::CON_FACULTADES_ID, $facultad_id);
    	return  CarreraPeer::doSelect($c);
  }
  
  //public static function getLordenada($criteria = NULL) {
  public static function getLordenada($c = NULL) {

        if((!($c instanceof Criteria)) OR is_null($c))
          $criteria = new Criteria();
        else
          $criteria = $c;
		
        if(is_integer($c))
          $criteria->add(CarreraPeer::CON_FACULTADES_ID, $c);
		
        $criteria->addAscendingOrderByColumn(CarreraPeer::NOMBRE);
        $carreras = CarreraPeer::doSelect($criteria);

        return $carreras;
    }
 
}
