<?php

/**
 * Subclass for performing query and update operations on the 'con_materias' table.
 *
 * 
 *
 * @package lib.model
 */ 
class MateriaPeer extends BaseMateriaPeer
{
    static public function doSelectByCarrera($carrera_id){
        $c = new Criteria();

                /*
                $c->clearSelectColumns();
                $c->addSelectColumn(self::ID);
                $c->addSelectColumn(self::NOMBRE);  
                */

        $c->add(CarreraMateriaPeer::CON_CARRERAS_ID, $carrera_id);
        $c->addJoin(MateriaPeer::ID ,CarreraMateriaPeer::CON_MATERIAS_ID, Criteria::RIGHT_JOIN);
        //$c->add(MateriaPeer::CON_CARRERAS_ID, $carrera_id);
        $c->addAscendingOrderByColumn(self::NOMBRE);
        return self::doSelect($c);
    }

    public static function getLordenada($criteria = NULL) {

        if((!($criteria instanceof Criteria)) OR is_null($criteria)) {
            $criteria = new Criteria(); 
        }
        $criteria->addAscendingOrderByColumn(MateriaPeer::NOMBRE);
        $materias = MateriaPeer::doSelect($criteria);

        return $materias;
    }
}
