<?php



class ConcursoAspiranteMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConcursoAspiranteMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_concursos_aspirantes');
		$tMap->setPhpName('ConcursoAspirante');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('CON_ASPIRANTES_ID', 'ConAspirantesId', 'int', CreoleTypes::INTEGER, 'con_aspirantes', 'ID', false, null);

		$tMap->addForeignKey('CON_CONCURSOS_ID', 'ConConcursosId', 'int', CreoleTypes::INTEGER, 'con_concursos', 'ID', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('FECHA_INSCRIPCION', 'FechaInscripcion', 'int', CreoleTypes::DATE, true, null);

		$tMap->addColumn('OBSERVACION', 'Observacion', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('DOC_COMPLETA', 'DocCompleta', 'boolean', CreoleTypes::BOOLEAN, true, null);

	} 
} 