<?php



class ConcursoCargoDedicacionMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConcursoCargoDedicacionMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_concursos_cargos_dedic');
		$tMap->setPhpName('ConcursoCargoDedicacion');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('CON_CONCURSOS_ID', 'ConConcursosId', 'int', CreoleTypes::INTEGER, 'con_concursos', 'ID', false, null);

		$tMap->addForeignKey('CON_CARGOS_ID', 'ConCargosId', 'int', CreoleTypes::INTEGER, 'con_cargos', 'ID', false, null);

		$tMap->addForeignKey('CON_DEDICACIONES_ID', 'ConDedicacionesId', 'int', CreoleTypes::INTEGER, 'con_dedicaciones', 'ID', false, null);

		$tMap->addForeignKey('CON_CONCURSOS_ASPIRANTES_ID', 'ConConcursosAspirantesId', 'int', CreoleTypes::INTEGER, 'con_concursos_aspirantes', 'ID', false, null);

	} 
} 