<?php



class ConcursoCarreraMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConcursoCarreraMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('concurso_carrera');
		$tMap->setPhpName('ConcursoCarrera');

		$tMap->setUseIdGenerator(true);

		$tMap->addForeignKey('CON_CONCURSOS_ID', 'ConConcursosId', 'int', CreoleTypes::INTEGER, 'con_concursos', 'ID', true, null);

		$tMap->addForeignKey('CON_CARRERAS_ID', 'ConCarrerasId', 'int', CreoleTypes::INTEGER, 'con_carreras', 'ID', true, null);

		$tMap->addForeignKey('CON_MATERIAS_ID', 'ConMateriasId', 'int', CreoleTypes::INTEGER, 'con_materias', 'ID', true, null);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 