<?php



class ConcursoNovedadMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConcursoNovedadMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_concursos_novedades');
		$tMap->setPhpName('ConcursoNovedad');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('CON_CONCURSOS_ID', 'ConConcursosId', 'int', CreoleTypes::INTEGER, 'con_concursos', 'ID', true, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('SEG_USUARIO_ID', 'SegUsuarioId', 'int', CreoleTypes::INTEGER, false, null);

	} 
} 