<?php



class FacultadMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.FacultadMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_facultades');
		$tMap->setPhpName('Facultad');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('NOMBRE', 'Nombre', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('NOMBRE_LARGO', 'NombreLargo', 'string', CreoleTypes::VARCHAR, false, 50);

		$tMap->addColumn('ESTABLECIMIENTO_ID', 'EstablecimientoId', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('ACTIVA', 'Activa', 'int', CreoleTypes::TINYINT, false, null);

	} 
} 