<?php



class HistoricoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.HistoricoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_historico');
		$tMap->setPhpName('Historico');

		$tMap->setUseIdGenerator(true);

		$tMap->addForeignKey('CON_CONCURSOS_ID', 'ConConcursosId', 'int', CreoleTypes::INTEGER, 'con_concursos', 'ID', false, null);

		$tMap->addColumn('CON_ESTADOS_TYPE_ID', 'ConEstadosTypeId', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('FECHA_INICIO_DATE', 'FechaInicioDate', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('FECHA_FIN_DATE', 'FechaFinDate', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('OBSERVACION', 'Observacion', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

	} 
} 