<?php



class JuradoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.JuradoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_jurados');
		$tMap->setPhpName('Jurado');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('NOMBRE', 'Nombre', 'string', CreoleTypes::VARCHAR, false, 50);

		$tMap->addColumn('APELLIDO', 'Apellido', 'string', CreoleTypes::VARCHAR, false, 50);

		$tMap->addColumn('DIRECCION', 'Direccion', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('DNI', 'Dni', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('TELEFONO', 'Telefono', 'string', CreoleTypes::VARCHAR, false, 30);

		$tMap->addColumn('EMAIL', 'Email', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('LUGAR_NAC', 'LugarNac', 'string', CreoleTypes::VARCHAR, false, 50);

		$tMap->addColumn('FECHA_NAC', 'FechaNac', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('NACIONALIDAD', 'Nacionalidad', 'string', CreoleTypes::VARCHAR, false, 50);

		$tMap->addColumn('ESTADO_CIVIL', 'EstadoCivil', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('CLAUSTRO', 'Claustro', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('UNIVERSIDAD', 'Universidad', 'string', CreoleTypes::VARCHAR, false, 40);

		$tMap->addColumn('FACULTAD', 'Facultad', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('CARRERA', 'Carrera', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('CARGO', 'Cargo', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('CATEDRA', 'Catedra', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('HABILITADO', 'Habilitado', 'boolean', CreoleTypes::BOOLEAN, true, null);

	} 
} 