<?php



class ResolucionMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ResolucionMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('con_resolucion');
		$tMap->setPhpName('Resolucion');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('YEAR', 'Year', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('NUMERO', 'Numero', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('FECHA', 'Fecha', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('PATH', 'Path', 'string', CreoleTypes::VARCHAR, false, 255);

	} 
} 