<?php


abstract class BaseConcursoCargoDedicacion extends BaseObject  implements Persistent {


	
	protected static $peer;


	
	protected $id;


	
	protected $con_concursos_id;


	
	protected $con_cargos_id;


	
	protected $con_dedicaciones_id;


	
	protected $con_concursos_aspirantes_id;

	
	protected $aConcurso;

	
	protected $aCargo;

	
	protected $aDedicacion;

	
	protected $aConcursoAspirante;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function getId()
	{

		return $this->id;
	}

	
	public function getConConcursosId()
	{

		return $this->con_concursos_id;
	}

	
	public function getConCargosId()
	{

		return $this->con_cargos_id;
	}

	
	public function getConDedicacionesId()
	{

		return $this->con_dedicaciones_id;
	}

	
	public function getConConcursosAspirantesId()
	{

		return $this->con_concursos_aspirantes_id;
	}

	
	public function setId($v)
	{

						if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = ConcursoCargoDedicacionPeer::ID;
		}

	} 
	
	public function setConConcursosId($v)
	{

						if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->con_concursos_id !== $v) {
			$this->con_concursos_id = $v;
			$this->modifiedColumns[] = ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID;
		}

		if ($this->aConcurso !== null && $this->aConcurso->getId() !== $v) {
			$this->aConcurso = null;
		}

	} 
	
	public function setConCargosId($v)
	{

						if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->con_cargos_id !== $v) {
			$this->con_cargos_id = $v;
			$this->modifiedColumns[] = ConcursoCargoDedicacionPeer::CON_CARGOS_ID;
		}

		if ($this->aCargo !== null && $this->aCargo->getId() !== $v) {
			$this->aCargo = null;
		}

	} 
	
	public function setConDedicacionesId($v)
	{

						if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->con_dedicaciones_id !== $v) {
			$this->con_dedicaciones_id = $v;
			$this->modifiedColumns[] = ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID;
		}

		if ($this->aDedicacion !== null && $this->aDedicacion->getId() !== $v) {
			$this->aDedicacion = null;
		}

	} 
	
	public function setConConcursosAspirantesId($v)
	{

						if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->con_concursos_aspirantes_id !== $v) {
			$this->con_concursos_aspirantes_id = $v;
			$this->modifiedColumns[] = ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID;
		}

		if ($this->aConcursoAspirante !== null && $this->aConcursoAspirante->getId() !== $v) {
			$this->aConcursoAspirante = null;
		}

	} 
	
	public function hydrate(ResultSet $rs, $startcol = 1)
	{
		try {

			$this->id = $rs->getInt($startcol + 0);

			$this->con_concursos_id = $rs->getInt($startcol + 1);

			$this->con_cargos_id = $rs->getInt($startcol + 2);

			$this->con_dedicaciones_id = $rs->getInt($startcol + 3);

			$this->con_concursos_aspirantes_id = $rs->getInt($startcol + 4);

			$this->resetModified();

			$this->setNew(false);

						return $startcol + 5; 
		} catch (Exception $e) {
			throw new PropelException("Error populating ConcursoCargoDedicacion object", $e);
		}
	}

	
	public function delete($con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacion:delete:pre') as $callable)
    {
      $ret = call_user_func($callable, $this, $con);
      if ($ret)
      {
        return;
      }
    }


		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(ConcursoCargoDedicacionPeer::DATABASE_NAME);
		}

		try {
			$con->begin();
			ConcursoCargoDedicacionPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	

    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacion:delete:post') as $callable)
    {
      call_user_func($callable, $this, $con);
    }

  }
	
	public function save($con = null)
	{

    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacion:save:pre') as $callable)
    {
      $affectedRows = call_user_func($callable, $this, $con);
      if (is_int($affectedRows))
      {
        return $affectedRows;
      }
    }


		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(ConcursoCargoDedicacionPeer::DATABASE_NAME);
		}

		try {
			$con->begin();
			$affectedRows = $this->doSave($con);
			$con->commit();
    foreach (sfMixer::getCallables('BaseConcursoCargoDedicacion:save:post') as $callable)
    {
      call_user_func($callable, $this, $con, $affectedRows);
    }

			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	protected function doSave($con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;


												
			if ($this->aConcurso !== null) {
				if ($this->aConcurso->isModified()) {
					$affectedRows += $this->aConcurso->save($con);
				}
				$this->setConcurso($this->aConcurso);
			}

			if ($this->aCargo !== null) {
				if ($this->aCargo->isModified()) {
					$affectedRows += $this->aCargo->save($con);
				}
				$this->setCargo($this->aCargo);
			}

			if ($this->aDedicacion !== null) {
				if ($this->aDedicacion->isModified()) {
					$affectedRows += $this->aDedicacion->save($con);
				}
				$this->setDedicacion($this->aDedicacion);
			}

			if ($this->aConcursoAspirante !== null) {
				if ($this->aConcursoAspirante->isModified()) {
					$affectedRows += $this->aConcursoAspirante->save($con);
				}
				$this->setConcursoAspirante($this->aConcursoAspirante);
			}


						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = ConcursoCargoDedicacionPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += ConcursoCargoDedicacionPeer::doUpdate($this, $con);
				}
				$this->resetModified(); 			}

			$this->alreadyInSave = false;
		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->aConcurso !== null) {
				if (!$this->aConcurso->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aConcurso->getValidationFailures());
				}
			}

			if ($this->aCargo !== null) {
				if (!$this->aCargo->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aCargo->getValidationFailures());
				}
			}

			if ($this->aDedicacion !== null) {
				if (!$this->aDedicacion->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aDedicacion->getValidationFailures());
				}
			}

			if ($this->aConcursoAspirante !== null) {
				if (!$this->aConcursoAspirante->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aConcursoAspirante->getValidationFailures());
				}
			}


			if (($retval = ConcursoCargoDedicacionPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = ConcursoCargoDedicacionPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->getByPosition($pos);
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getConConcursosId();
				break;
			case 2:
				return $this->getConCargosId();
				break;
			case 3:
				return $this->getConDedicacionesId();
				break;
			case 4:
				return $this->getConConcursosAspirantesId();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = ConcursoCargoDedicacionPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getConConcursosId(),
			$keys[2] => $this->getConCargosId(),
			$keys[3] => $this->getConDedicacionesId(),
			$keys[4] => $this->getConConcursosAspirantesId(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = ConcursoCargoDedicacionPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setConConcursosId($value);
				break;
			case 2:
				$this->setConCargosId($value);
				break;
			case 3:
				$this->setConDedicacionesId($value);
				break;
			case 4:
				$this->setConConcursosAspirantesId($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = ConcursoCargoDedicacionPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setConConcursosId($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setConCargosId($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setConDedicacionesId($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setConConcursosAspirantesId($arr[$keys[4]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(ConcursoCargoDedicacionPeer::DATABASE_NAME);

		if ($this->isColumnModified(ConcursoCargoDedicacionPeer::ID)) $criteria->add(ConcursoCargoDedicacionPeer::ID, $this->id);
		if ($this->isColumnModified(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID)) $criteria->add(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ID, $this->con_concursos_id);
		if ($this->isColumnModified(ConcursoCargoDedicacionPeer::CON_CARGOS_ID)) $criteria->add(ConcursoCargoDedicacionPeer::CON_CARGOS_ID, $this->con_cargos_id);
		if ($this->isColumnModified(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID)) $criteria->add(ConcursoCargoDedicacionPeer::CON_DEDICACIONES_ID, $this->con_dedicaciones_id);
		if ($this->isColumnModified(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID)) $criteria->add(ConcursoCargoDedicacionPeer::CON_CONCURSOS_ASPIRANTES_ID, $this->con_concursos_aspirantes_id);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(ConcursoCargoDedicacionPeer::DATABASE_NAME);

		$criteria->add(ConcursoCargoDedicacionPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setConConcursosId($this->con_concursos_id);

		$copyObj->setConCargosId($this->con_cargos_id);

		$copyObj->setConDedicacionesId($this->con_dedicaciones_id);

		$copyObj->setConConcursosAspirantesId($this->con_concursos_aspirantes_id);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new ConcursoCargoDedicacionPeer();
		}
		return self::$peer;
	}

	
	public function setConcurso($v)
	{


		if ($v === null) {
			$this->setConConcursosId(NULL);
		} else {
			$this->setConConcursosId($v->getId());
		}


		$this->aConcurso = $v;
	}


	
	public function getConcurso($con = null)
	{
		if ($this->aConcurso === null && ($this->con_concursos_id !== null)) {
						include_once 'lib/model/om/BaseConcursoPeer.php';

			$this->aConcurso = ConcursoPeer::retrieveByPK($this->con_concursos_id, $con);

			
		}
		return $this->aConcurso;
	}

	
	public function setCargo($v)
	{


		if ($v === null) {
			$this->setConCargosId(NULL);
		} else {
			$this->setConCargosId($v->getId());
		}


		$this->aCargo = $v;
	}


	
	public function getCargo($con = null)
	{
		if ($this->aCargo === null && ($this->con_cargos_id !== null)) {
						include_once 'lib/model/om/BaseCargoPeer.php';

			$this->aCargo = CargoPeer::retrieveByPK($this->con_cargos_id, $con);

			
		}
		return $this->aCargo;
	}

	
	public function setDedicacion($v)
	{


		if ($v === null) {
			$this->setConDedicacionesId(NULL);
		} else {
			$this->setConDedicacionesId($v->getId());
		}


		$this->aDedicacion = $v;
	}


	
	public function getDedicacion($con = null)
	{
		if ($this->aDedicacion === null && ($this->con_dedicaciones_id !== null)) {
						include_once 'lib/model/om/BaseDedicacionPeer.php';

			$this->aDedicacion = DedicacionPeer::retrieveByPK($this->con_dedicaciones_id, $con);

			
		}
		return $this->aDedicacion;
	}

	
	public function setConcursoAspirante($v)
	{


		if ($v === null) {
			$this->setConConcursosAspirantesId(NULL);
		} else {
			$this->setConConcursosAspirantesId($v->getId());
		}


		$this->aConcursoAspirante = $v;
	}


	
	public function getConcursoAspirante($con = null)
	{
		if ($this->aConcursoAspirante === null && ($this->con_concursos_aspirantes_id !== null)) {
						include_once 'lib/model/om/BaseConcursoAspirantePeer.php';

			$this->aConcursoAspirante = ConcursoAspirantePeer::retrieveByPK($this->con_concursos_aspirantes_id, $con);

			
		}
		return $this->aConcursoAspirante;
	}


  public function __call($method, $arguments)
  {
    if (!$callable = sfMixer::getCallable('BaseConcursoCargoDedicacion:'.$method))
    {
      throw new sfException(sprintf('Call to undefined method BaseConcursoCargoDedicacion::%s', $method));
    }

    array_unshift($arguments, $this);

    return call_user_func_array($callable, $arguments);
  }


} 