<?php


abstract class BaseHistoricoPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'con_historico';

	
	const CLASS_DEFAULT = 'lib.model.Historico';

	
	const NUM_COLUMNS = 6;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const CON_CONCURSOS_ID = 'con_historico.CON_CONCURSOS_ID';

	
	const CON_ESTADOS_TYPE_ID = 'con_historico.CON_ESTADOS_TYPE_ID';

	
	const FECHA_INICIO_DATE = 'con_historico.FECHA_INICIO_DATE';

	
	const FECHA_FIN_DATE = 'con_historico.FECHA_FIN_DATE';

	
	const OBSERVACION = 'con_historico.OBSERVACION';

	
	const ID = 'con_historico.ID';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('ConConcursosId', 'ConEstadosTypeId', 'FechaInicioDate', 'FechaFinDate', 'Observacion', 'Id', ),
		BasePeer::TYPE_COLNAME => array (HistoricoPeer::CON_CONCURSOS_ID, HistoricoPeer::CON_ESTADOS_TYPE_ID, HistoricoPeer::FECHA_INICIO_DATE, HistoricoPeer::FECHA_FIN_DATE, HistoricoPeer::OBSERVACION, HistoricoPeer::ID, ),
		BasePeer::TYPE_FIELDNAME => array ('con_concursos_id', 'con_estados_type_id', 'fecha_inicio_date', 'fecha_fin_date', 'observacion', 'id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('ConConcursosId' => 0, 'ConEstadosTypeId' => 1, 'FechaInicioDate' => 2, 'FechaFinDate' => 3, 'Observacion' => 4, 'Id' => 5, ),
		BasePeer::TYPE_COLNAME => array (HistoricoPeer::CON_CONCURSOS_ID => 0, HistoricoPeer::CON_ESTADOS_TYPE_ID => 1, HistoricoPeer::FECHA_INICIO_DATE => 2, HistoricoPeer::FECHA_FIN_DATE => 3, HistoricoPeer::OBSERVACION => 4, HistoricoPeer::ID => 5, ),
		BasePeer::TYPE_FIELDNAME => array ('con_concursos_id' => 0, 'con_estados_type_id' => 1, 'fecha_inicio_date' => 2, 'fecha_fin_date' => 3, 'observacion' => 4, 'id' => 5, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/HistoricoMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.HistoricoMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = HistoricoPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(HistoricoPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(HistoricoPeer::CON_CONCURSOS_ID);

		$criteria->addSelectColumn(HistoricoPeer::CON_ESTADOS_TYPE_ID);

		$criteria->addSelectColumn(HistoricoPeer::FECHA_INICIO_DATE);

		$criteria->addSelectColumn(HistoricoPeer::FECHA_FIN_DATE);

		$criteria->addSelectColumn(HistoricoPeer::OBSERVACION);

		$criteria->addSelectColumn(HistoricoPeer::ID);

	}

	const COUNT = 'COUNT(con_historico.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT con_historico.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(HistoricoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(HistoricoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = HistoricoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = HistoricoPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return HistoricoPeer::populateObjects(HistoricoPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BaseHistoricoPeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BaseHistoricoPeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			HistoricoPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = HistoricoPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinConcurso(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(HistoricoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(HistoricoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(HistoricoPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = HistoricoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinConcurso(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		HistoricoPeer::addSelectColumns($c);
		$startcol = (HistoricoPeer::NUM_COLUMNS - HistoricoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ConcursoPeer::addSelectColumns($c);

		$c->addJoin(HistoricoPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = HistoricoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ConcursoPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addHistorico($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initHistoricos();
				$obj2->addHistorico($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(HistoricoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(HistoricoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(HistoricoPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = HistoricoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		HistoricoPeer::addSelectColumns($c);
		$startcol2 = (HistoricoPeer::NUM_COLUMNS - HistoricoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ConcursoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ConcursoPeer::NUM_COLUMNS;

		$c->addJoin(HistoricoPeer::CON_CONCURSOS_ID, ConcursoPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = HistoricoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = ConcursoPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getConcurso(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addHistorico($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initHistoricos();
				$obj2->addHistorico($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return HistoricoPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseHistoricoPeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseHistoricoPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(HistoricoPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BaseHistoricoPeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BaseHistoricoPeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseHistoricoPeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseHistoricoPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(HistoricoPeer::ID);
			$selectCriteria->add(HistoricoPeer::ID, $criteria->remove(HistoricoPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BaseHistoricoPeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BaseHistoricoPeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(HistoricoPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(HistoricoPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Historico) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(HistoricoPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Historico $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(HistoricoPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(HistoricoPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(HistoricoPeer::DATABASE_NAME, HistoricoPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = HistoricoPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(HistoricoPeer::DATABASE_NAME);

		$criteria->add(HistoricoPeer::ID, $pk);


		$v = HistoricoPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(HistoricoPeer::ID, $pks, Criteria::IN);
			$objs = HistoricoPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseHistoricoPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/HistoricoMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.HistoricoMapBuilder');
}
