<?php


abstract class BaseJuradoPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'con_jurados';

	
	const CLASS_DEFAULT = 'lib.model.Jurado';

	
	const NUM_COLUMNS = 18;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'con_jurados.ID';

	
	const NOMBRE = 'con_jurados.NOMBRE';

	
	const APELLIDO = 'con_jurados.APELLIDO';

	
	const DIRECCION = 'con_jurados.DIRECCION';

	
	const DNI = 'con_jurados.DNI';

	
	const TELEFONO = 'con_jurados.TELEFONO';

	
	const EMAIL = 'con_jurados.EMAIL';

	
	const LUGAR_NAC = 'con_jurados.LUGAR_NAC';

	
	const FECHA_NAC = 'con_jurados.FECHA_NAC';

	
	const NACIONALIDAD = 'con_jurados.NACIONALIDAD';

	
	const ESTADO_CIVIL = 'con_jurados.ESTADO_CIVIL';

	
	const CLAUSTRO = 'con_jurados.CLAUSTRO';

	
	const UNIVERSIDAD = 'con_jurados.UNIVERSIDAD';

	
	const FACULTAD = 'con_jurados.FACULTAD';

	
	const CARRERA = 'con_jurados.CARRERA';

	
	const CARGO = 'con_jurados.CARGO';

	
	const CATEDRA = 'con_jurados.CATEDRA';

	
	const HABILITADO = 'con_jurados.HABILITADO';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Nombre', 'Apellido', 'Direccion', 'Dni', 'Telefono', 'Email', 'LugarNac', 'FechaNac', 'Nacionalidad', 'EstadoCivil', 'Claustro', 'Universidad', 'Facultad', 'Carrera', 'Cargo', 'Catedra', 'Habilitado', ),
		BasePeer::TYPE_COLNAME => array (JuradoPeer::ID, JuradoPeer::NOMBRE, JuradoPeer::APELLIDO, JuradoPeer::DIRECCION, JuradoPeer::DNI, JuradoPeer::TELEFONO, JuradoPeer::EMAIL, JuradoPeer::LUGAR_NAC, JuradoPeer::FECHA_NAC, JuradoPeer::NACIONALIDAD, JuradoPeer::ESTADO_CIVIL, JuradoPeer::CLAUSTRO, JuradoPeer::UNIVERSIDAD, JuradoPeer::FACULTAD, JuradoPeer::CARRERA, JuradoPeer::CARGO, JuradoPeer::CATEDRA, JuradoPeer::HABILITADO, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'nombre', 'apellido', 'direccion', 'dni', 'telefono', 'email', 'lugar_nac', 'fecha_nac', 'nacionalidad', 'estado_civil', 'claustro', 'universidad', 'facultad', 'carrera', 'cargo', 'catedra', 'habilitado', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Nombre' => 1, 'Apellido' => 2, 'Direccion' => 3, 'Dni' => 4, 'Telefono' => 5, 'Email' => 6, 'LugarNac' => 7, 'FechaNac' => 8, 'Nacionalidad' => 9, 'EstadoCivil' => 10, 'Claustro' => 11, 'Universidad' => 12, 'Facultad' => 13, 'Carrera' => 14, 'Cargo' => 15, 'Catedra' => 16, 'Habilitado' => 17, ),
		BasePeer::TYPE_COLNAME => array (JuradoPeer::ID => 0, JuradoPeer::NOMBRE => 1, JuradoPeer::APELLIDO => 2, JuradoPeer::DIRECCION => 3, JuradoPeer::DNI => 4, JuradoPeer::TELEFONO => 5, JuradoPeer::EMAIL => 6, JuradoPeer::LUGAR_NAC => 7, JuradoPeer::FECHA_NAC => 8, JuradoPeer::NACIONALIDAD => 9, JuradoPeer::ESTADO_CIVIL => 10, JuradoPeer::CLAUSTRO => 11, JuradoPeer::UNIVERSIDAD => 12, JuradoPeer::FACULTAD => 13, JuradoPeer::CARRERA => 14, JuradoPeer::CARGO => 15, JuradoPeer::CATEDRA => 16, JuradoPeer::HABILITADO => 17, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'nombre' => 1, 'apellido' => 2, 'direccion' => 3, 'dni' => 4, 'telefono' => 5, 'email' => 6, 'lugar_nac' => 7, 'fecha_nac' => 8, 'nacionalidad' => 9, 'estado_civil' => 10, 'claustro' => 11, 'universidad' => 12, 'facultad' => 13, 'carrera' => 14, 'cargo' => 15, 'catedra' => 16, 'habilitado' => 17, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/JuradoMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.JuradoMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = JuradoPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(JuradoPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(JuradoPeer::ID);

		$criteria->addSelectColumn(JuradoPeer::NOMBRE);

		$criteria->addSelectColumn(JuradoPeer::APELLIDO);

		$criteria->addSelectColumn(JuradoPeer::DIRECCION);

		$criteria->addSelectColumn(JuradoPeer::DNI);

		$criteria->addSelectColumn(JuradoPeer::TELEFONO);

		$criteria->addSelectColumn(JuradoPeer::EMAIL);

		$criteria->addSelectColumn(JuradoPeer::LUGAR_NAC);

		$criteria->addSelectColumn(JuradoPeer::FECHA_NAC);

		$criteria->addSelectColumn(JuradoPeer::NACIONALIDAD);

		$criteria->addSelectColumn(JuradoPeer::ESTADO_CIVIL);

		$criteria->addSelectColumn(JuradoPeer::CLAUSTRO);

		$criteria->addSelectColumn(JuradoPeer::UNIVERSIDAD);

		$criteria->addSelectColumn(JuradoPeer::FACULTAD);

		$criteria->addSelectColumn(JuradoPeer::CARRERA);

		$criteria->addSelectColumn(JuradoPeer::CARGO);

		$criteria->addSelectColumn(JuradoPeer::CATEDRA);

		$criteria->addSelectColumn(JuradoPeer::HABILITADO);

	}

	const COUNT = 'COUNT(con_jurados.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT con_jurados.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(JuradoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(JuradoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = JuradoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = JuradoPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return JuradoPeer::populateObjects(JuradoPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BaseJuradoPeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BaseJuradoPeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			JuradoPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = JuradoPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return JuradoPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseJuradoPeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseJuradoPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(JuradoPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BaseJuradoPeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BaseJuradoPeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BaseJuradoPeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BaseJuradoPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(JuradoPeer::ID);
			$selectCriteria->add(JuradoPeer::ID, $criteria->remove(JuradoPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BaseJuradoPeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BaseJuradoPeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(JuradoPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(JuradoPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Jurado) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(JuradoPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Jurado $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(JuradoPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(JuradoPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(JuradoPeer::DATABASE_NAME, JuradoPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = JuradoPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(JuradoPeer::DATABASE_NAME);

		$criteria->add(JuradoPeer::ID, $pk);


		$v = JuradoPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(JuradoPeer::ID, $pks, Criteria::IN);
			$objs = JuradoPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseJuradoPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/JuradoMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.JuradoMapBuilder');
}
