<?php


abstract class BasePautaPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'con_pautas';

	
	const CLASS_DEFAULT = 'lib.model.Pauta';

	
	const NUM_COLUMNS = 31;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'con_pautas.ID';

	
	const CIERRE = 'con_pautas.CIERRE';

	
	const PRESENT_DOC = 'con_pautas.PRESENT_DOC';

	
	const REMITE_NOMINA = 'con_pautas.REMITE_NOMINA';

	
	const EXIBE_NOMINA_ASPIRANTE = 'con_pautas.EXIBE_NOMINA_ASPIRANTE';

	
	const EXIBE_NOMINA_ASPIRANTE_FIN = 'con_pautas.EXIBE_NOMINA_ASPIRANTE_FIN';

	
	const IMPUGNACION_ASP_VISTA = 'con_pautas.IMPUGNACION_ASP_VISTA';

	
	const IMPUGNACION_NOTIF_RESOL = 'con_pautas.IMPUGNACION_NOTIF_RESOL';

	
	const IMPUGNACION_ASP_APELA = 'con_pautas.IMPUGNACION_ASP_APELA';

	
	const IMPUGNACION_RESOL = 'con_pautas.IMPUGNACION_RESOL';

	
	const JURADO_DESIGNA_RESOL = 'con_pautas.JURADO_DESIGNA_RESOL';

	
	const APELACION_RESOL = 'con_pautas.APELACION_RESOL';

	
	const JURADO_DESIGNA_NOTIF = 'con_pautas.JURADO_DESIGNA_NOTIF';

	
	const JURADO_DESIGNA_RECUSA = 'con_pautas.JURADO_DESIGNA_RECUSA';

	
	const IMPUGNACION_ASP = 'con_pautas.IMPUGNACION_ASP';

	
	const IMPUGNACION_RESOL_APELA = 'con_pautas.IMPUGNACION_RESOL_APELA';

	
	const JURADO_DESIGNA_RECUSA_VISTA = 'con_pautas.JURADO_DESIGNA_RECUSA_VISTA';

	
	const JURADO_DESIGNA_RECUSA_DESCARGO = 'con_pautas.JURADO_DESIGNA_RECUSA_DESCARGO';

	
	const JURADO_DESIGNA_RECUSA_ELEVA_CD = 'con_pautas.JURADO_DESIGNA_RECUSA_ELEVA_CD';

	
	const JURADO_DESIGNA_RECUSA_RESOL = 'con_pautas.JURADO_DESIGNA_RECUSA_RESOL';

	
	const JURADO_DESIGNA_FIRME = 'con_pautas.JURADO_DESIGNA_FIRME';

	
	const EVALUACION_RESOLUCION = 'con_pautas.EVALUACION_RESOLUCION';

	
	const EVALUACION_JURADO_REUNION = 'con_pautas.EVALUACION_JURADO_REUNION';

	
	const SORTEO_FECHA = 'con_pautas.SORTEO_FECHA';

	
	const ELEVACION_ORDEN_MERITO = 'con_pautas.ELEVACION_ORDEN_MERITO';

	
	const DICTAMEN_ASPIRANTES_NOTIFICA = 'con_pautas.DICTAMEN_ASPIRANTES_NOTIFICA';

	
	const DICTAMEN_ASPIRANTES_IMPUGNACION = 'con_pautas.DICTAMEN_ASPIRANTES_IMPUGNACION';

	
	const DICTAMEN_FIN_SOLICITUD_AMPLIACION = 'con_pautas.DICTAMEN_FIN_SOLICITUD_AMPLIACION';

	
	const RESOLUCION_CD = 'con_pautas.RESOLUCION_CD';

	
	const RESOLUCION_CD_NOTIFICACION = 'con_pautas.RESOLUCION_CD_NOTIFICACION';

	
	const RESOLUCION_CD_IMPUGNACION = 'con_pautas.RESOLUCION_CD_IMPUGNACION';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Cierre', 'PresentDoc', 'RemiteNomina', 'ExibeNominaAspirante', 'ExibeNominaAspiranteFin', 'ImpugnacionAspVista', 'ImpugnacionNotifResol', 'ImpugnacionAspApela', 'ImpugnacionResol', 'JuradoDesignaResol', 'ApelacionResol', 'JuradoDesignaNotif', 'JuradoDesignaRecusa', 'ImpugnacionAsp', 'ImpugnacionResolApela', 'JuradoDesignaRecusaVista', 'JuradoDesignaRecusaDescargo', 'JuradoDesignaRecusaElevaCd', 'JuradoDesignaRecusaResol', 'JuradoDesignaFirme', 'EvaluacionResolucion', 'EvaluacionJuradoReunion', 'SorteoFecha', 'ElevacionOrdenMerito', 'DictamenAspirantesNotifica', 'DictamenAspirantesImpugnacion', 'DictamenFinSolicitudAmpliacion', 'ResolucionCd', 'ResolucionCdNotificacion', 'ResolucionCdImpugnacion', ),
		BasePeer::TYPE_COLNAME => array (PautaPeer::ID, PautaPeer::CIERRE, PautaPeer::PRESENT_DOC, PautaPeer::REMITE_NOMINA, PautaPeer::EXIBE_NOMINA_ASPIRANTE, PautaPeer::EXIBE_NOMINA_ASPIRANTE_FIN, PautaPeer::IMPUGNACION_ASP_VISTA, PautaPeer::IMPUGNACION_NOTIF_RESOL, PautaPeer::IMPUGNACION_ASP_APELA, PautaPeer::IMPUGNACION_RESOL, PautaPeer::JURADO_DESIGNA_RESOL, PautaPeer::APELACION_RESOL, PautaPeer::JURADO_DESIGNA_NOTIF, PautaPeer::JURADO_DESIGNA_RECUSA, PautaPeer::IMPUGNACION_ASP, PautaPeer::IMPUGNACION_RESOL_APELA, PautaPeer::JURADO_DESIGNA_RECUSA_VISTA, PautaPeer::JURADO_DESIGNA_RECUSA_DESCARGO, PautaPeer::JURADO_DESIGNA_RECUSA_ELEVA_CD, PautaPeer::JURADO_DESIGNA_RECUSA_RESOL, PautaPeer::JURADO_DESIGNA_FIRME, PautaPeer::EVALUACION_RESOLUCION, PautaPeer::EVALUACION_JURADO_REUNION, PautaPeer::SORTEO_FECHA, PautaPeer::ELEVACION_ORDEN_MERITO, PautaPeer::DICTAMEN_ASPIRANTES_NOTIFICA, PautaPeer::DICTAMEN_ASPIRANTES_IMPUGNACION, PautaPeer::DICTAMEN_FIN_SOLICITUD_AMPLIACION, PautaPeer::RESOLUCION_CD, PautaPeer::RESOLUCION_CD_NOTIFICACION, PautaPeer::RESOLUCION_CD_IMPUGNACION, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'cierre', 'present_doc', 'remite_nomina', 'exibe_nomina_aspirante', 'exibe_nomina_aspirante_fin', 'impugnacion_asp_vista', 'impugnacion_notif_resol', 'impugnacion_asp_apela', 'impugnacion_resol', 'jurado_designa_resol', 'apelacion_resol', 'jurado_designa_notif', 'jurado_designa_recusa', 'impugnacion_asp', 'impugnacion_resol_apela', 'jurado_designa_recusa_vista', 'jurado_designa_recusa_descargo', 'jurado_designa_recusa_eleva_cd', 'jurado_designa_recusa_resol', 'jurado_designa_firme', 'evaluacion_resolucion', 'evaluacion_jurado_reunion', 'sorteo_fecha', 'elevacion_orden_merito', 'dictamen_aspirantes_notifica', 'dictamen_aspirantes_impugnacion', 'dictamen_fin_solicitud_ampliacion', 'resolucion_cd', 'resolucion_cd_notificacion', 'resolucion_cd_impugnacion', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Cierre' => 1, 'PresentDoc' => 2, 'RemiteNomina' => 3, 'ExibeNominaAspirante' => 4, 'ExibeNominaAspiranteFin' => 5, 'ImpugnacionAspVista' => 6, 'ImpugnacionNotifResol' => 7, 'ImpugnacionAspApela' => 8, 'ImpugnacionResol' => 9, 'JuradoDesignaResol' => 10, 'ApelacionResol' => 11, 'JuradoDesignaNotif' => 12, 'JuradoDesignaRecusa' => 13, 'ImpugnacionAsp' => 14, 'ImpugnacionResolApela' => 15, 'JuradoDesignaRecusaVista' => 16, 'JuradoDesignaRecusaDescargo' => 17, 'JuradoDesignaRecusaElevaCd' => 18, 'JuradoDesignaRecusaResol' => 19, 'JuradoDesignaFirme' => 20, 'EvaluacionResolucion' => 21, 'EvaluacionJuradoReunion' => 22, 'SorteoFecha' => 23, 'ElevacionOrdenMerito' => 24, 'DictamenAspirantesNotifica' => 25, 'DictamenAspirantesImpugnacion' => 26, 'DictamenFinSolicitudAmpliacion' => 27, 'ResolucionCd' => 28, 'ResolucionCdNotificacion' => 29, 'ResolucionCdImpugnacion' => 30, ),
		BasePeer::TYPE_COLNAME => array (PautaPeer::ID => 0, PautaPeer::CIERRE => 1, PautaPeer::PRESENT_DOC => 2, PautaPeer::REMITE_NOMINA => 3, PautaPeer::EXIBE_NOMINA_ASPIRANTE => 4, PautaPeer::EXIBE_NOMINA_ASPIRANTE_FIN => 5, PautaPeer::IMPUGNACION_ASP_VISTA => 6, PautaPeer::IMPUGNACION_NOTIF_RESOL => 7, PautaPeer::IMPUGNACION_ASP_APELA => 8, PautaPeer::IMPUGNACION_RESOL => 9, PautaPeer::JURADO_DESIGNA_RESOL => 10, PautaPeer::APELACION_RESOL => 11, PautaPeer::JURADO_DESIGNA_NOTIF => 12, PautaPeer::JURADO_DESIGNA_RECUSA => 13, PautaPeer::IMPUGNACION_ASP => 14, PautaPeer::IMPUGNACION_RESOL_APELA => 15, PautaPeer::JURADO_DESIGNA_RECUSA_VISTA => 16, PautaPeer::JURADO_DESIGNA_RECUSA_DESCARGO => 17, PautaPeer::JURADO_DESIGNA_RECUSA_ELEVA_CD => 18, PautaPeer::JURADO_DESIGNA_RECUSA_RESOL => 19, PautaPeer::JURADO_DESIGNA_FIRME => 20, PautaPeer::EVALUACION_RESOLUCION => 21, PautaPeer::EVALUACION_JURADO_REUNION => 22, PautaPeer::SORTEO_FECHA => 23, PautaPeer::ELEVACION_ORDEN_MERITO => 24, PautaPeer::DICTAMEN_ASPIRANTES_NOTIFICA => 25, PautaPeer::DICTAMEN_ASPIRANTES_IMPUGNACION => 26, PautaPeer::DICTAMEN_FIN_SOLICITUD_AMPLIACION => 27, PautaPeer::RESOLUCION_CD => 28, PautaPeer::RESOLUCION_CD_NOTIFICACION => 29, PautaPeer::RESOLUCION_CD_IMPUGNACION => 30, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'cierre' => 1, 'present_doc' => 2, 'remite_nomina' => 3, 'exibe_nomina_aspirante' => 4, 'exibe_nomina_aspirante_fin' => 5, 'impugnacion_asp_vista' => 6, 'impugnacion_notif_resol' => 7, 'impugnacion_asp_apela' => 8, 'impugnacion_resol' => 9, 'jurado_designa_resol' => 10, 'apelacion_resol' => 11, 'jurado_designa_notif' => 12, 'jurado_designa_recusa' => 13, 'impugnacion_asp' => 14, 'impugnacion_resol_apela' => 15, 'jurado_designa_recusa_vista' => 16, 'jurado_designa_recusa_descargo' => 17, 'jurado_designa_recusa_eleva_cd' => 18, 'jurado_designa_recusa_resol' => 19, 'jurado_designa_firme' => 20, 'evaluacion_resolucion' => 21, 'evaluacion_jurado_reunion' => 22, 'sorteo_fecha' => 23, 'elevacion_orden_merito' => 24, 'dictamen_aspirantes_notifica' => 25, 'dictamen_aspirantes_impugnacion' => 26, 'dictamen_fin_solicitud_ampliacion' => 27, 'resolucion_cd' => 28, 'resolucion_cd_notificacion' => 29, 'resolucion_cd_impugnacion' => 30, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/PautaMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.PautaMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = PautaPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(PautaPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(PautaPeer::ID);

		$criteria->addSelectColumn(PautaPeer::CIERRE);

		$criteria->addSelectColumn(PautaPeer::PRESENT_DOC);

		$criteria->addSelectColumn(PautaPeer::REMITE_NOMINA);

		$criteria->addSelectColumn(PautaPeer::EXIBE_NOMINA_ASPIRANTE);

		$criteria->addSelectColumn(PautaPeer::EXIBE_NOMINA_ASPIRANTE_FIN);

		$criteria->addSelectColumn(PautaPeer::IMPUGNACION_ASP_VISTA);

		$criteria->addSelectColumn(PautaPeer::IMPUGNACION_NOTIF_RESOL);

		$criteria->addSelectColumn(PautaPeer::IMPUGNACION_ASP_APELA);

		$criteria->addSelectColumn(PautaPeer::IMPUGNACION_RESOL);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_RESOL);

		$criteria->addSelectColumn(PautaPeer::APELACION_RESOL);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_NOTIF);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_RECUSA);

		$criteria->addSelectColumn(PautaPeer::IMPUGNACION_ASP);

		$criteria->addSelectColumn(PautaPeer::IMPUGNACION_RESOL_APELA);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_RECUSA_VISTA);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_RECUSA_DESCARGO);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_RECUSA_ELEVA_CD);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_RECUSA_RESOL);

		$criteria->addSelectColumn(PautaPeer::JURADO_DESIGNA_FIRME);

		$criteria->addSelectColumn(PautaPeer::EVALUACION_RESOLUCION);

		$criteria->addSelectColumn(PautaPeer::EVALUACION_JURADO_REUNION);

		$criteria->addSelectColumn(PautaPeer::SORTEO_FECHA);

		$criteria->addSelectColumn(PautaPeer::ELEVACION_ORDEN_MERITO);

		$criteria->addSelectColumn(PautaPeer::DICTAMEN_ASPIRANTES_NOTIFICA);

		$criteria->addSelectColumn(PautaPeer::DICTAMEN_ASPIRANTES_IMPUGNACION);

		$criteria->addSelectColumn(PautaPeer::DICTAMEN_FIN_SOLICITUD_AMPLIACION);

		$criteria->addSelectColumn(PautaPeer::RESOLUCION_CD);

		$criteria->addSelectColumn(PautaPeer::RESOLUCION_CD_NOTIFICACION);

		$criteria->addSelectColumn(PautaPeer::RESOLUCION_CD_IMPUGNACION);

	}

	const COUNT = 'COUNT(con_pautas.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT con_pautas.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(PautaPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(PautaPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = PautaPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = PautaPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return PautaPeer::populateObjects(PautaPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{

    foreach (sfMixer::getCallables('BasePautaPeer:addDoSelectRS:addDoSelectRS') as $callable)
    {
      call_user_func($callable, 'BasePautaPeer', $criteria, $con);
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			PautaPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = PautaPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return PautaPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{

    foreach (sfMixer::getCallables('BasePautaPeer:doInsert:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BasePautaPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(PautaPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		
    foreach (sfMixer::getCallables('BasePautaPeer:doInsert:post') as $callable)
    {
      call_user_func($callable, 'BasePautaPeer', $values, $con, $pk);
    }

    return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{

    foreach (sfMixer::getCallables('BasePautaPeer:doUpdate:pre') as $callable)
    {
      $ret = call_user_func($callable, 'BasePautaPeer', $values, $con);
      if (false !== $ret)
      {
        return $ret;
      }
    }


		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(PautaPeer::ID);
			$selectCriteria->add(PautaPeer::ID, $criteria->remove(PautaPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		$ret = BasePeer::doUpdate($selectCriteria, $criteria, $con);
	

    foreach (sfMixer::getCallables('BasePautaPeer:doUpdate:post') as $callable)
    {
      call_user_func($callable, 'BasePautaPeer', $values, $con, $ret);
    }

    return $ret;
  }

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(PautaPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(PautaPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Pauta) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(PautaPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Pauta $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(PautaPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(PautaPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(PautaPeer::DATABASE_NAME, PautaPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = PautaPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(PautaPeer::DATABASE_NAME);

		$criteria->add(PautaPeer::ID, $pk);


		$v = PautaPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(PautaPeer::ID, $pks, Criteria::IN);
			$objs = PautaPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BasePautaPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/PautaMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.PautaMapBuilder');
}
